# Copyright (c) 2000-2010, JPackage Project
# All rights reserved.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions
# are met:
#
# 1. Redistributions of source code must retain the above copyright
#    notice, this list of conditions and the following disclaimer.
# 2. Redistributions in binary form must reproduce the above copyright
#    notice, this list of conditions and the following disclaimer in the
#    documentation and/or other materials provided with the
#    distribution.
# 3. Neither the name of the JPackage Project nor the names of its
#    contributors may be used to endorse or promote products derived
#    from this software without specific prior written permission.
#
# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
# "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
# LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
# A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
# OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
# LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
# DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
# THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
# (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
# OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
#

%if 0
FIXME: (dwalluck): Need to link offline:
  [javadoc] javadoc: warning - Error fetching URL: http://java.sun.com/javase/6/docs/api/package-list
  [javadoc] javadoc: warning - Error fetching URL: http://java.sun.com/j2ee/1.4/docs/api/package-list
  [javadoc] javadoc: warning - Error fetching URL: http://aopalliance.sourceforge.net/doc/package-list
  [javadoc] javadoc: warning - Error fetching URL: http://cglib.sourceforge.net/apidocs/package-list
  [javadoc] javadoc: warning - Error fetching URL: http://ehcache.sourceforge.net/apidocs/package-list
  [javadoc] javadoc: warning - Error fetching URL: http://freemarker.sourceforge.net/docs/api/package-list
  [javadoc] javadoc: warning - Error fetching URL: http://www.hibernate.org/hib_docs/v3/api/package-list
  [javadoc] javadoc: warning - Error fetching URL: http://jakarta.apache.org/commons/collections/apidocs-COLLECTIONS_3_0/package-list
  [javadoc] javadoc: warning - Error fetching URL: http://jakarta.apache.org/commons/dbcp/apidocs/package-list
  [javadoc] javadoc: warning - Error fetching URL: http://jakarta.apache.org/commons/fileupload/apidocs/package-list
  [javadoc] javadoc: warning - Error fetching URL: http://jakarta.apache.org/commons/httpclient/apidocs/package-list
  [javadoc] javadoc: warning - Error fetching URL: http://jakarta.apache.org/commons/logging/apidocs/package-list
  [javadoc] javadoc: warning - Error fetching URL: http://jakarta.apache.org/commons/pool/apidocs/package-list
  [javadoc] javadoc: warning - Error fetching URL: http://junit.sourceforge.net/javadoc_40/package-list
  [javadoc] javadoc: warning - Error fetching URL: http://logging.apache.org/log4j/docs/api/package-list
  [javadoc] javadoc: warning - Error fetching URL: http://jakarta.apache.org/regexp/apidocs/package-list
  [javadoc] javadoc: warning - Error fetching URL: http://jakarta.apache.org/poi/apidocs/package-list
  [javadoc] javadoc: warning - Error fetching URL: http://portals.apache.org/pluto/multiproject/portlet-api/apidocs/package-list
  [javadoc] javadoc: warning - Error fetching URL: http://www.opensymphony.com/quartz/api/package-list
  [javadoc] javadoc: warning - Error fetching URL: http://struts.apache.org/struts-doc-1.2.9/api/package-list
  [javadoc] javadoc: warning - Error fetching URL: http://java.sun.com/javase/6/docs/jre/api/net/httpserver/spec/package-list
  [javadoc] javadoc: warning - Error fetching URL: http://tiles.apache.org/framework/apidocs/package-list
  [javadoc] javadoc: warning - Error fetching URL: http://velocity.apache.org/engine/devel/apidocs/package-list
%endif

%define with()          %{expand:%%{?with_%{1}:1}%%{!?with_%{1}:0}}
%define without()       %{expand:%%{?with_%{1}:0}%%{!?with_%{1}:1}}
%define bcond_with()    %{expand:%%{?_with_%{1}:%%global with_%{1} 1}}
%define bcond_without() %{expand:%%{!?_without_%{1}:%%global with_%{1} 1}}

%bcond_with gcj_support
%bcond_without nodeps
%bcond_without repolib
%bcond_with xmlgraphics
%bcond_without zips

%define repodir %{_javadir}/repository.jboss.com/org/springframework/%{upstream_version}-brew
%define repodirlib %{repodir}/lib
%define repodirsrc %{repodir}/src

%if %with gcj_support
%define gcj_support 1
%else
%define gcj_support 0
%endif

%define section free
%define bname   spring

%define upstream_tag .SEC03
%define upstream_version %{version}%{?upstream_tag}

Name:           spring2
Summary:        Spring J2EE Framework
Version:        2.5.6
Release:        9.SEC03.1%{?dist}
Epoch:          0
License:        ASL 2.0
Group:          Development/Libraries/Application Frameworks
URL:            http://www.springframework.org/
# svn export https://src.springframework.org/svn/spring-maintenance/tags/release-2-5-6-SEC03/ spring2-2.5.6.SEC03 
#Exported revision 17172.
# tar cjf spring2-2.5.6.SEC03.tar.bz2 spring2-2.5.6.SEC03
Source0:        %{name}-%{upstream_version}.tar.bz2
Source1:        http://static.springframework.org/spring/files/docbook-reference-libs.zip
Source2:        spring2-component-info.xml
Patch0:         spring-2.5.1-WorkManagerTaskExecutor.patch
Patch1:         spring-2.5.5-SqlMapClientFactoryBean.patch
Patch2:         spring-2.5.1-HibernateJpaDialect.patch
Patch3:         spring-2.5.1-DefaultContextLoadTimeWeaver.patch
Patch4:         spring-2.5.1-build.patch
Patch5:         spring-2.5.1-PathMatchingResourcePatternResolverTests.patch
Patch6:         spring-2.5.1-TopLinkTransactionManager.patch
Patch8:         spring-2.5.1-JRubyScriptUtils.patch
Patch9:         spring-2.5.5-quartz-1.6.0-SchedulerFactoryBean.patch
Patch10:        spring-2.5.5-HibernateJpaVendorAdapter.patch
Patch11:        spring-2.5.5-TilesViewTests.patch
Patch12:        spring-2.5.6-doc-pdf.patch
Patch13:        spring2-2.5.6-xmlgraphics-fop.patch
Patch14:        spring2-2.5.6-build-no-link.patch
Patch15:        spring2-2.5.6-asm.patch
BuildRequires:  jpackage-utils >= 0:1.7.3
BuildRequires:  java-1.6.0-devel
#BuildRequires:  java-fonts
BuildRequires:  ant >= 0:1.6.5
BuildRequires:  ant-trax >= 0:1.6.5
BuildRequires:  ant-junit >= 0:1.6.5
BuildRequires:  ant-nodeps >= 0:1.6.5
BuildRequires:  junit
#BuildRequires:  junit-addons
BuildRequires:  junit4 >= 0:4.4
BuildRequires:  antlr
BuildRequires:  avalon-framework
BuildRequires:  saxon
BuildRequires:  maven-deploy-plugin


%if 0
BuildRequires:  activemq3
%endif
BuildRequires:  annotation_1_0_api
BuildRequires:  aopalliance
BuildRequires:  apache-ibatis-sqlmap >= 0:2.3.2
#BuildRequires:  apache-jdo-2.0-api
%if 0
BuildRequires:  openjpa >= 0:1.0.1
%endif
#BuildRequires:  aqute-bndlib
BuildRequires:  asm
BuildRequires:  asm2
BuildRequires:  aspectj >= 0:1.2.1
BuildRequires:  axis
%if 0
BuildRequires:  backport-util-concurrent >= 0:3.1
%endif
BuildRequires:  bsh2
BuildRequires:  burlap >= 0:3.0.8
BuildRequires:  c3p0 >= 0:0.9.0
BuildRequires:  cglib
BuildRequires:  commonj_1_1_apis
BuildRequires:  dom4j
BuildRequires:  easymock
#BuildRequires:  easymock-classextension
BuildRequires:  ecj3
%if 0
BuildRequires:  ehcache >= 0:1.3.0
%endif
BuildRequires:  ejb_3_0_api
BuildRequires:  el_1_0_api
BuildRequires:  xmlgraphics-fop
BuildRequires:  freemarker
BuildRequires:  glassfish-jaxb
BuildRequires:  glassfish-jaxws
BuildRequires:  glassfish-jstl
BuildRequires:  glassfish-persistence-impl
#BuildRequires:  groovy15
%if 0
BuildRequires:  hessian-nodep
%endif
BuildRequires:  hibernate3
BuildRequires:  hibernate3-annotations
BuildRequires:  hibernate3-entitymanager
BuildRequires:  hsqldb
BuildRequires:  httpunit
BuildRequires:  itext
BuildRequires:  j2ee_connector_1_5_api
BuildRequires:  jaf_1_1_api
#BuildRequires:  jakarta-cactus
#BuildRequires:  jakarta-commons-attributes
BuildRequires:  jakarta-commons-beanutils
BuildRequires:  jakarta-commons-codec
BuildRequires:  jakarta-commons-collections
BuildRequires:  jakarta-commons-dbcp
BuildRequires:  jakarta-commons-digester
BuildRequires:  jakarta-commons-discovery
BuildRequires:  jakarta-commons-fileupload
BuildRequires:  jakarta-commons-httpclient
BuildRequires:  jakarta-commons-io
BuildRequires:  jakarta-commons-lang
BuildRequires:  jakarta-commons-logging
BuildRequires:  jakarta-commons-pool
BuildRequires:  jakarta-commons-validator
BuildRequires:  jakarta-taglibs-standard
#BuildRequires:  jamonapi
BuildRequires:  jarjar
#BuildRequires:  jasperreports >= 0:1.0.3
BuildRequires:  jta_1_1_api
BuildRequires:  glassfish-javamail >= 0:1.4.0
#BuildRequires: jaxb_2_1_api
BuildRequires:  jaxen
BuildRequires:  jaxrpc_1_1_api
#BuildRequires: jaxws_2_1_api
BuildRequires:  jboss4-common
BuildRequires:  jdom
#BuildRequires:  jexcelapi
BuildRequires:  jmock
BuildRequires:  jms_1_1_api
#BuildRequires:  jotm
BuildRequires:  jpa_3_0_api
%if 0
BuildRequires:  jruby >= 0:1.1.1
BuildRequires:  jruby-bytelist
%endif
BuildRequires:  jsp_2_1_api
BuildRequires:  jta_1_0_1B_api
BuildRequires:  jakarta-poi >= 0:2.5.1
BuildRequires:  log4j
BuildRequires:  glassfish-jsf
BuildRequires:  mx4j >= 0:3.0.1-2jpp
BuildRequires:  ognl
BuildRequires:  portlet-1.0-api
BuildRequires:  qdox >= 0:1.5
BuildRequires:  quartz16
%if 0
BuildRequires:  saaj_1_3_api
%endif
%if 0
BuildRequires:  serp
%endif
BuildRequires:  tomcat5-servlet-2.4-api
BuildRequires:  slf4j
BuildRequires:  struts >= 0:1.3.8
BuildRequires:  struts-tiles >= 0:1.3.8
BuildRequires:  testng
BuildRequires:  jtidy
BuildRequires:  tiles
BuildRequires:  tomcat5
BuildRequires:  unzip
# XXX: (dwalluck): brew is 1.4;  upstream is velocity-1.5
BuildRequires:  velocity-jboss
# XXX: (dwalluck): brew is 1.2; upstream is velocity-tools-view-1.4
#BuildRequires:  velocity-tools
BuildRequires:  ws_metadata_2_0_api
BuildRequires:  wsdl4j
#BuildRequires:  xapool
BuildRequires:  xjavadoc
BuildRequires:  xerces-j2

Requires:       java >= 0:1.5.0
%if 0
Requires        java-fonts
%endif

Requires(post):    jpackage-utils >= 0:1.7.3
Requires(postun):  jpackage-utils >= 0:1.7.3
%if %{gcj_support}
BuildRequires:    java-gcj-compat-devel
%endif

%if ! %{gcj_support}
BuildArch:      noarch
%endif
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root

%description
Spring is a layered Java/J2EE application framework, 
based on code published in Expert One-on-One J2EE 
Design and Development by Rod Johnson (Wrox, 2002). 

%package core
Summary:        Spring core
Group:          Development/Libraries/Application Frameworks
Requires:       %{name} = %{epoch}:%{version}-%{release}
%if %without nodeps
Requires:       asm2
%if 0
Requires:       backport-util-concurrent >= 0:3.0
%endif
Requires:       jakarta-commons-collections
Requires:       jakarta-commons-logging
Requires:       log4j
%endif

%description core
Spring bean container, core utilities
Optionals: log4j

%package aspects
Summary:        Spring aspects
Group:          Development/Libraries/Application Frameworks
Requires:       %{name} = %{epoch}:%{version}-%{release}
Requires:       %{name}-beans = %{epoch}:%{version}-%{release}
Requires:       %{name}-tx = %{epoch}:%{version}-%{release}
%if %without nodeps
Requires:       aspectj >= 0:1.2.1
Requires:       jakarta-commons-logging
%endif

%description aspects
Spring AOP aspects, source level metadata support
Optionals: cglib, jakarta-commons-attributes

%package aop
Summary:        Spring aop
Group:          Development/Libraries/Application Frameworks
Requires:       %{name} = %{epoch}:%{version}-%{release}
Requires:       %{name}-beans = %{epoch}:%{version}-%{release}
Requires:       %{name}-core = %{epoch}:%{version}-%{release}
%if %without nodeps
Requires:       aopalliance
Requires:       aspectj >= 0:1.2.1
Requires:       cglib
Requires:       jakarta-commons-attributes
Requires:       jakarta-commons-pool
#Requires:       jamonapi
Requires:       jakarta-commons-logging
%endif

%description aop
Spring AOP framework, source level metadata support
Optionals: cglib, jakarta-commons-attributes

%package agent
Summary:        Spring aop
Group:          Development/Libraries/Application Frameworks
Requires:       %{name} = %{epoch}:%{version}-%{release}
Requires:       %{name}-core = %{epoch}:%{version}-%{release}
%if %without nodeps
Requires:       aopalliance
%endif

%description agent
Spring AOP agent, source level metadata support
Optionals: cglib, jakarta-commons-attributes

%package beans
Summary:        Spring beans
Group:          Development/Libraries/Application Frameworks
Requires:       %{name} = %{epoch}:%{version}-%{release}
Requires:       %{name}-core = %{epoch}:%{version}-%{release}
%if %without nodeps
Requires:       cglib
Requires:       jakarta-commons-logging
%endif

%description beans
%{summary}.

%package context
Summary:        Spring context
Group:          Development/Libraries/Application Frameworks
Requires:       %{name} = %{epoch}:%{version}-%{release}
Requires:       %{name}-agent = %{epoch}:%{version}-%{release}
Requires:       %{name}-aop = %{epoch}:%{version}-%{release}
Requires:       %{name}-beans = %{epoch}:%{version}-%{release}
Requires:       %{name}-core = %{epoch}:%{version}-%{release}
%if %without nodeps
Requires:       aopalliance
%if 0
Requires:       backport-util-concurrent
%endif
Requires:       jakarta-commons-logging
Requires:       commonj_1_1_apis
Requires:       ejb_3_0_api
Requires:       jms_1_1_api
%if 0
Requires:       jaxrpc_1_1_api
%endif
%endif

%description context
Spring application context, validation, UI support, mail,
JNDI, JMS, EJB, remoting, scheduling, caching
Optionals: velocity, freemarker, javamail, jms, ejb, axis,
hessian, burlap, quartz, ehcache

%package context-support
Summary:        Spring context-support
Group:          Development/Libraries/Application Frameworks
Requires:       %{name} = %{epoch}:%{version}-%{release}
Requires:       %{name}-aop = %{epoch}:%{version}-%{release}
Requires:       %{name}-beans = %{epoch}:%{version}-%{release}
Requires:       %{name}-context = %{epoch}:%{version}-%{release}
Requires:       %{name}-core = %{epoch}:%{version}-%{release}
Requires:       %{name}-jdbc = %{epoch}:%{version}-%{release}
Requires:       %{name}-tx = %{epoch}:%{version}-%{release}
%if %without nodeps
Requires:       aopalliance
Requires:       bsh2
Requires:       cglib
Requires:       commonj_1_1_apis
Requires:       freemarker
%if 0
Requires:       ehcache >= 0:1.3.0
%endif
# XXX: (dwalluck): We are not shipping this
%if 0
#Requires:       groovy15
%endif
Requires:       jaf_1_1_api
Requires:       jakarta-commons-collections
Requires:       jakarta-commons-logging
#Requires:       jasperreports >= 0:1.0.3
Requires:       glassfish-javamail >= 0:1.4.0
%if 0
Requires:       jruby >= 0:1.1.1
%endif
Requires:       quartz16
Requires:       velocity
#Requires:       velocity-tools
%endif

%description context-support
Spring context support, transaction infrastructure, JDBC support
Optionals: spring-aop, jta

%package jms
Summary:        Spring jms
Group:          Development/Libraries/Application Frameworks
Requires:       %{name} = %{epoch}:%{version}-%{release}
Requires:       %{name}-beans = %{epoch}:%{version}-%{release}
Requires:       %{name}-context = %{epoch}:%{version}-%{release}
Requires:       %{name}-context-support = %{epoch}:%{version}-%{release}
Requires:       %{name}-core = %{epoch}:%{version}-%{release}
Requires:       %{name}-tx = %{epoch}:%{version}-%{release}
%if %without nodeps
Requires:       jakarta-commons-logging
Requires:       jakarta-commons-pool
Requires:       jms_1_1_api
%endif

%description jms
%{summary}.

%package jdbc
Summary:        Spring jdbc
Group:          Development/Libraries/Application Frameworks
Requires:       %{name} = %{epoch}:%{version}-%{release}
Requires:       %{name}-beans = %{epoch}:%{version}-%{release}
Requires:       %{name}-context = %{epoch}:%{version}-%{release}
Requires:       %{name}-core = %{epoch}:%{version}-%{release}
Requires:       %{name}-tx = %{epoch}:%{version}-%{release}
%if %without nodeps
Requires:       c3p0
Requires:       jakarta-commons-dbcp
Requires:       jakarta-commons-logging
#Optional       jotm
%endif

%description jdbc
%{summary}.

%package orm
Summary:        Spring orm
Group:          Development/Libraries/Application Frameworks
Requires:       %{name} = %{epoch}:%{version}-%{release}
Requires:       %{name}-aop = %{epoch}:%{version}-%{release}
Requires:       %{name}-beans = %{epoch}:%{version}-%{release}
Requires:       %{name}-context = %{epoch}:%{version}-%{release}
Requires:       %{name}-core = %{epoch}:%{version}-%{release}
Requires:       %{name}-jdbc = %{epoch}:%{version}-%{release}
Requires:       %{name}-tx = %{epoch}:%{version}-%{release}
Requires:       %{name}-web = %{epoch}:%{version}-%{release}
%if %without nodeps
Requires:       aopalliance
# XXX: (dwalluck): We are building against but not shipping these two
%if 0
Requires:       apache-jdo-2.0-api
Requires:       apache-ibatis-sqlmap >= 0:2.3.2
%endif
#Requires:       glassfish-persistence
Requires:       hibernate3
Requires:       hibernate3-entitymanager
Requires:       jpa_3_0_api
Requires:       jakarta-commons-logging
%endif

%description orm
Spring Hibernate support, JDO support, Apache OJB, iBATIS SQL Maps
Optionals: hibernate, hibernate3, hibernate-annotations, 
apache-jdo-2.0-api, db-ojb, ibatis, j2ee-connector

%package test
Summary:        Spring test
Group:          Development/Libraries/Application Frameworks
Requires:       %{name} = %{epoch}:%{version}-%{release}
Requires:       %{name}-beans = %{epoch}:%{version}-%{release}
Requires:       %{name}-context = %{epoch}:%{version}-%{release}
Requires:       %{name}-core = %{epoch}:%{version}-%{release}
Requires:       %{name}-jdbc = %{epoch}:%{version}-%{release}
Requires:       %{name}-orm = %{epoch}:%{version}-%{release}
Requires:       %{name}-tx = %{epoch}:%{version}-%{release}
Requires:       %{name}-webmvc = %{epoch}:%{version}-%{release}
%if %without nodeps
Requires:       aspectj >= 0:1.2.1
Requires:       jpa_3_0_api
Requires:       tomcat5-jsp-2.0-api
Requires:       junit
Requires:       tomcat5-servlet-2.4-api
Requires:       jakarta-commons-logging
Requires:       jakarta-taglibs-standard
Requires:       portlet-1.0-api
%endif

%description test
%{summary}.

%package tomcat-weaver
Summary:        Spring tomcat weaver
Group:          Development/Libraries/Application Frameworks
Requires:       %{name} = %{epoch}:%{version}-%{release}
Requires:       %{name}-context = %{epoch}:%{version}-%{release}
%if %without nodeps
# for tomcat5/naming-resources
Requires:       tomcat5-common-lib
# for tomcat5/catalina
Requires:       tomcat5-server-lib
%endif

%description tomcat-weaver
%{summary}.

%package tx
Summary:        Spring tx
Group:          Development/Libraries/Application Frameworks
Requires:       %{name} = %{epoch}:%{version}-%{release}
Requires:       %{name}-aop = %{epoch}:%{version}-%{release}
Requires:       %{name}-beans = %{epoch}:%{version}-%{release}
Requires:       %{name}-context = %{epoch}:%{version}-%{release}
Requires:       %{name}-core = %{epoch}:%{version}-%{release}
%if %without nodeps
Requires:       aopalliance
Requires:       j2ee_connector_1_5_api
Requires:       jta_1_1_api
Requires:       jakarta-commons-logging
#Optional:      jotm
#Optional       xapool
%endif

%description tx
%{summary}.

%package web
Summary:        Spring web
Group:          Development/Libraries/Application Frameworks
Requires:       %{name} = %{epoch}:%{version}-%{release}
Requires:       %{name}-beans = %{epoch}:%{version}-%{release}
Requires:       %{name}-context = %{epoch}:%{version}-%{release}
Requires:       %{name}-core = %{epoch}:%{version}-%{release}
%if %without nodeps
#Optional:      axis
%if 0
Requires:       hessian-nodep
%endif
Requires:       jakarta-commons-beanutils
Requires:       jakarta-commons-fileupload
Requires:       jakarta-commons-logging
Requires:       jakarta-taglibs-standard
Requires:       jakarta-commons-httpclient
Requires:       tomcat5-jsp-2.0-api
Requires:       tomcat5-servlet-2.4-api
Requires:       log4j
Requires:       glassfish-jsf
Requires:       struts >= 0:1.3.8
Requires:       struts-tiles >= 0:1.3.8
%endif

%description web
Spring web application support, multipart resolver, struts support,
web utilities
Optionals: jspapi, jakarta-taglibs-standard, jakarta-commons-fileupload,
struts

%package webmvc
Summary:        Spring webmvc
Group:          Development/Libraries/Application Frameworks
Requires:       %{name} = %{epoch}:%{version}-%{release}
Requires:       %{name}-beans = %{epoch}:%{version}-%{release}
Requires:       %{name}-context = %{epoch}:%{version}-%{release}
Requires:       %{name}-context-support = %{epoch}:%{version}-%{release}
Requires:       %{name}-core = %{epoch}:%{version}-%{release}
Requires:       %{name}-web = %{epoch}:%{version}-%{release}
%if %without nodeps
Requires:       freemarker
Requires:       itext
Requires:       jakarta-commons-attributes
Requires:       jakarta-poi
Requires:       jakarta-commons-logging
Requires:       jakarta-taglibs-standard
#Requires:       jasperreports >= 0:1.0.3
#Requires:       jexcelapi
Requires:       tomcat5-jsp-2.0-api
Requires:       tomcat5-servlet-2.4-api
Requires:       tiles
Requires:       velocity
#Requires:       velocity-tools
%endif

%description webmvc
Spring framework servlets, web MVC framework, web controllers, web views
Optionals: tiles, itext, poi

%package webmvc-portlet
Summary:        Spring webmvc-portlet
Group:          Development/Libraries/Application Frameworks
Requires:       %{name} = %{epoch}:%{version}-%{release}
Requires:       %{name}-beans = %{epoch}:%{version}-%{release}
Requires:       %{name}-context = %{epoch}:%{version}-%{release}
Requires:       %{name}-core = %{epoch}:%{version}-%{release}
Requires:       %{name}-web = %{epoch}:%{version}-%{release}
Requires:       %{name}-webmvc = %{epoch}:%{version}-%{release}
%if %without nodeps
Requires:       jakarta-commons-fileupload
Requires:       jakarta-commons-logging
Requires:       tomcat5-jsp-2.0-api
Requires:       portlet-1.0-api
%endif

%description webmvc-portlet
Spring framework portlet support
Optionals: tiles, itext, poi

%package webmvc-struts
Summary:        Spring webmvc-struts
Group:          Development/Libraries/Application Frameworks
Requires:       %{name} = %{epoch}:%{version}-%{release}
Requires:       %{name}-beans = %{epoch}:%{version}-%{release}
Requires:       %{name}-context = %{epoch}:%{version}-%{release}
Requires:       %{name}-core = %{epoch}:%{version}-%{release}
Requires:       %{name}-web = %{epoch}:%{version}-%{release}
Requires:       %{name}-webmvc = %{epoch}:%{version}-%{release}
%if %without nodeps
Requires:       jakarta-commons-logging
Requires:       jakarta-taglibs-standard
Requires:       tomcat5-jsp-2.0-api
Requires:       tomcat5-servlet-2.4-api
Requires:       tiles
Requires:       struts >= 0:1.3.8
%endif

%description webmvc-struts
Spring framework struts support
Optionals: tiles, itext, poi

%package all
Summary:        Spring all except mocks
Group:          Development/Libraries/Application Frameworks
Requires:       %{name} = %{epoch}:%{version}-%{release}
%if %without nodeps
Requires:       aopalliance
# XXX: (dwalluck): We are building against but not shipping these two
%if 0
Requires:       apache-ibatis-sqlmap >= 0:2.3.2
Requires:       apache-jdo-2.0-api
%endif
Requires:       asm2
Requires:       aspectj >= 0:1.2.1
#Optional:      axis
%if 0
Requires:       backport-util-concurrent >= 0:3.0
%endif
Requires:       bsh2
Requires:       c3p0
Requires:       cglib
Requires:       commonj_1_1_apis
%if 0
Requires:       ehcache >= 0:1.3.0
%endif
Requires:       ejb_3_0_api
Requires:       freemarker
#Requires:       glassfish-persistence
# XXX: (dwalluck): We are not shipping this
%if 0
#Requires:       groovy15
%endif
%if 0
Requires:       hessian-nodep
%endif
Requires:       hibernate3
Requires:       hibernate3-entitymanager
Requires:       itext
Requires:       j2ee_connector_1_5_api
Requires:       jakarta-commons-attributes
Requires:       jakarta-commons-dbcp
Requires:       jakarta-commons-httpclient
Requires:       jakarta-commons-pool
Requires:       jakarta-oro
Requires:       jakarta-poi
#Requires:       jamonapi
Requires:       jaf_1_1_api
Requires:       jakarta-commons-beanutils
Requires:       jakarta-commons-collections
Requires:       jakarta-commons-fileupload
Requires:       jakarta-commons-logging
Requires:       jakarta-taglibs-standard
Requires:       glassfish-javamail >= 0:1.4.0
%if 0
Requires:       jaxrpc_1_1_api
%endif
#Requires:       jexcelapi
Requires:       jpa_3_0_api
Requires:       jms_1_1_api
#Optional:      jotm
%if 0
Requires:       jruby >= 0:1.1.1
%endif
Requires:       tomcat5-jsp-2.0-api
Requires:       jta_1_1_api
Requires:       junit
Requires:       quartz16
Requires:       tomcat5-servlet-2.4-api
Requires:       tiles
#Requires:      tomcat5
Requires:       velocity
#Requires:       velocity-tools
Requires:       glassfish-jsf
Requires:       log4j
Requires:       portlet-1.0-api
Requires:       struts >= 0:1.3.8
#Optional:      xapool
%endif

%description all
Spring everything except mocks
Optionals: log4j, cglib, jakarta-commons-attributes
velocity, freemarker, javamail, jms, ejb, axis, hessian, 
burlap, quartz, ehcache, jta, hibernate, hibernate3, 
hibernate-annotations, apache-jdo-2.0-api, ojb, ibatis,
jspapi, jakarta-taglibs-standard, jakarta-commons-fileupload,
tiles, itest, poi

#%package mock
#Summary:        Spring mock
#Group:          Development/Libraries/Application Frameworks
#Requires:       %{name} = %{epoch}:%{version}-%{release}
#Requires:       %{name}-core = %{epoch}:%{version}-%{release}
#
#%description mock
#Spring JNDI mocks, Servlet API mocks

%package javadoc
Summary:        Javadoc for %{name}
Group:          Development/Documentation

%description javadoc
%{summary}.

%package manual
Summary:        Documents for %{name}
Group:          Development/Documentation
Requires:       %{name}-javadoc = %{epoch}:%{version}-%{release}

%description manual
%{summary}.

%package demo
Summary:        Samples for %{name}
Group:          Development/Documentation
Requires:       %{name} = %{epoch}:%{version}-%{release}
%if %without nodeps
Requires:       antlr
Requires:       axis
Requires:       dom4j
Requires:       jaxen
Requires:       hsqldb
%if 0
Requires:       ehcache
%endif
%endif

%description demo
%{summary}.
Optionals: antlr, axis, dom4j, jaxen, ehcache, hsqldb

%package devel
Summary:        Source jars for %{name}
Group:          Development/Java

%description devel
%{summary}.

%if %with repolib
%package repolib
Summary:        Artifacts to be uploaded to a repository library
Group:          Development/Libraries/Java

%description repolib
Artifacts to be uploaded to a repository library.
This package is not meant to be installed but so its contents
can be extracted through rpm2cpio.
%endif

%if %with zips
%package zip
Summary:     Container for the zipped distribution of %{name}
Group:       Development

%description zip
Container for the zipped distribution of %{name}.
%endif

%prep
%setup -q -n %{name}-%{upstream_version}
pushd docs/reference
unzip -qq %{SOURCE1}
popd
chmod -R go=u-w *
#find . -name "*.jar" -exec rm {} \;
%if 0
for f in $(find . -name "*.jar"); do
    mv $f $f.no
done
%endif

for j in $(find test/org/springframework/orm/toplink -name "*.java"); do
    sed -i -e 's/oracle\.toplink\./oracle.toplink.essentials./g' $j
done
for j in $(find src/org/springframework/orm/toplink -name "*.java"); do
    sed -i -e 's/oracle\.toplink\./oracle.toplink.essentials./g' $j
done
for j in $(find src/org/springframework/orm/toplink -name "*.java"); do
    sed -i -e 's/oracle\.toplink\.essentials\.sessions\.SessionLog/oracle.toplink.essentials.logging.SessionLog/' $j
    sed -i -e 's/oracle\.toplink\.essentials\.sessions\.DefaultSessionLog/oracle.toplink.essentials.logging.DefaultSessionLog/' $j
    sed -i -e 's/oracle\.toplink\.essentials\.publicinterface\.Session/oracle.toplink.essentials.sessions.Session/' $j
done
## SessionBroker not available in glassfish-persistence
rm src/org/springframework/orm/toplink/SessionBrokerSessionFactory.java
## sessions.xml support not available in glassfish-persistence ?
rm src/org/springframework/orm/toplink/LocalSessionFactory.java
rm src/org/springframework/orm/toplink/LocalSessionFactoryBean.java
## no specific 904 available
rm src/org/springframework/orm/toplink/support/CommonsLoggingSessionLog904.java
# cannot test unavailables
rm test/org/springframework/orm/toplink/SessionBrokerFactoryTests.java

%if 0
# the following are test input files
mv tiger/test/order-supplemental.jar.no tiger/test/order-supplemental.jar
mv tiger/test/order.jar.no tiger/test/order.jar
mv tiger/test/org/springframework/orm/jpa/jpa-archive.jar.no tiger/test/org/springframework/orm/jpa/jpa-archive.jar
%endif

rm -rf tiger/src/org/springframework/instrument/classloading/oc4j/
rm -rf tiger/src/org/springframework/instrument/classloading/glassfish/
rm -f src/org/springframework/transaction/jta/WebSphereUowTransactionManager.java
rm -f test/org/springframework/transaction/jta/WebSphereUowTransactionManagerTests.java
rm -f test/org/springframework/transaction/jta/MockUOWManager.java

# tests with non free requires
rm tiger/test/org/springframework/instrument/classloading/glassfish/GlassFishLoadTimeWeaverTests.java
rm tiger/test/org/springframework/instrument/classloading/oc4j/OC4JClassPreprocessorAdapterTests.java
rm tiger/test/org/springframework/instrument/classloading/oc4j/OC4JLoadTimeWeaverTests.java

# requires bsh2 -> asm1 <--> asm2
rm test/org/springframework/scripting/bsh/BshScriptFactoryTests.java

# temp rm wait for newer hibernate3
rm tiger/test/org/springframework/orm/jpa/hibernate/HibernateMultiEntityManagerFactoryIntegrationTests.java

# temp rm wait for either openjpa or aspectj fix
####rm tiger/test/org/springframework/orm/jpa/openjpa/OpenJpaEntityManagerFactoryWithAspectJWeavingIntegrationTests.java

## !?! No tests found in org.springframework.test.context.SpringRunnerContextCacheTests ?!?
#rm tiger/test/org/springframework/test/context/SpringRunnerContextCacheTests.java
## see spring-2.5.1-SpringJUnit4SuiteTests.patch

## !?! No tests found in org.springframework.test.context.TestContextManagerTests ?!?
#rm tiger/test/org/springframework/test/context/TestContextManagerTests.java

## !?! No tests found in org.springframework.test.context.TestExecutionListenersTests ?!?
#rm tiger/test/org/springframework/test/context/TestExecutionListenersTests.java


%if 0
%patch0 -b .sav0
%endif
%patch1 -b .sav1
%patch2 -b .sav2
%patch3 -b .sav3
%patch4 -b .sav4
%patch5 -b .sav5
%patch6 -b .sav6
%if 0
%patch8 -b .sav8
%endif
%patch9 -b .sav9
%patch10 -b .sav10
%patch11 -b .sav11
%patch12 -b .sav12
%if 0
%patch13 -b .sav13
%endif
%patch14 -b .sav14
%patch15 -b .sav15

rm tiger/src/org/springframework/orm/jpa/vendor/Eclipse*.java
rm tiger/test/org/springframework/orm/jpa/eclipselink/EclipseLinkEntityManagerFactoryIntegrationTests.java

%if 0
# BUILD/spring/autobuilds/apps/jpetstore/lib/ibatis-common.jar.no
ln -sf $(build-classpath apache-ibatis-common) autobuilds/apps/jpetstore/lib/ibatis-common.jar
# BUILD/spring/autobuilds/lib/ant-addons/path-to-fileset.jar.no

# BUILD/spring/autobuilds/lib/aspectj/aspectjrt-1.2.1.jar.no
##ln -sf $(build-classpath aspectjrt) autobuilds/lib/aspectj/aspectjrt-1.2.1.jar
# BUILD/spring/autobuilds/lib/cactus/cactus-1.7.1.jar.no
ln -sf $(build-classpath cactus-14/cactus) autobuilds/lib/cactus/cactus-1.7.1.jar
# BUILD/spring/autobuilds/lib/cactus/cactus-ant-1.7.1.jar.no
ln -sf $(build-classpath cactus-14/cactus-ant) autobuilds/lib/cactus/cactus-ant-1.7.1.jar
# BUILD/spring/autobuilds/lib/cargo/cargo-0.6.jar.no

# BUILD/spring/autobuilds/lib/jakarta-commons/commons-httpclient-2.0.jar.no
ln -sf $(build-classpath commons-httpclient) autobuilds/lib/jakarta-commons/commons-httpclient-2.0.jar
## BUILD/spring/autobuilds/lib/junit-addons/junit-addons-1.4.jar.no
#ln -sf $(build-classpath junit-addons) autobuilds/lib/junit-addons/junit-addons-1.4.jar
# BUILD/spring/docs/reference/lib/avalon-framework-cvs-20020806.jar.no
ln -sf $(build-classpath avalon-framework) docs/reference/lib/avalon-framework-cvs-20020806.jar
%if 0
# BUILD/spring/docs/reference/lib/batik.jar.no
ln -sf $(build-classpath batik-all) docs/reference/lib/batik.jar
# BUILD/spring/docs/reference/lib/fop.jar.no
ln -sf $(build-classpath xmlgraphics-fop) docs/reference/lib/fop.jar
%endif
# BUILD/spring/docs/reference/lib/jai_codec.jar.no

# BUILD/spring/docs/reference/lib/jai_core.jar.no

# BUILD/spring/docs/reference/lib/saxon-dbxsl-extensions.jar.no

# BUILD/spring/docs/reference/lib/saxon.jar.no
ln -sf $(build-classpath saxon) docs/reference/lib/saxon.jar
# BUILD/spring/lib/activemq/activemq-1.1.jar.no
##ln -sf $(build-classpath activemq3) lib/activemq/activemq-1.1.jar
# BUILD/spring/lib/ant/ant.jar.no
ln -sf $(build-classpath ant) lib/ant/ant.jar
# BUILD/spring/lib/ant/ant-junit.jar.no
ln -sf $(build-classpath ant/ant-junit) lib/ant/ant-junit.jar
# BUILD/spring/lib/ant/ant-launcher.jar.no
ln -sf $(build-classpath ant-launcher) lib/ant/ant-launcher.jar
# BUILD/spring/lib/ant/ant-trax.jar.no
ln -sf $(build-classpath ant/ant-trax) lib/ant/ant-trax.jar
# BUILD/spring/lib/antlr/antlr-2.7.6.jar.no
ln -sf $(build-classpath antlr) lib/antlr/antlr-2.7.6.jar
# BUILD/spring/lib/aopalliance/aopalliance.jar.no
ln -sf $(build-classpath aopalliance) lib/aopalliance/aopalliance.jar
# BUILD/spring/lib/asm/asm-2.2.3.jar.no
ln -sf $(build-classpath asm2/asm2) lib/asm/asm-2.2.3.jar
# BUILD/spring/lib/asm/asm-commons-2.2.3.jar.no
ln -sf $(build-classpath asm2/asm2-commons) lib/asm/asm-commons-2.2.3.jar
# BUILD/spring/lib/asm/asm-util-2.2.3.jar.no
ln -sf $(build-classpath asm2/asm2-util) lib/asm/asm-util-2.2.3.jar
# BUILD/spring/lib/aspectj/aspectjrt.jar.no
##ln -sf $(build-classpath aspectjrt) lib/aspectj/aspectjrt.jar
# BUILD/spring/lib/aspectj/aspectjtools.jar.no
##ln -sf $(build-classpath aspectjtools) lib/aspectj/aspectjtools.jar
# BUILD/spring/lib/aspectj/aspectjweaver.jar.no
##ln -sf $(build-classpath aspectjweaver) lib/aspectj/aspectjweaver.jar
# BUILD/spring/lib/aws/spring-aws-ant.jar.no

# BUILD/spring/lib/axis/axis.jar.no
ln -sf $(build-classpath axis/axis) lib/axis/axis.jar
# BUILD/spring/lib/axis/wsdl4j.jar.no
ln -sf $(build-classpath wsdl4j) lib/axis/wsdl4j.jar
# BUILD/spring/lib/bsh/bsh-2.0b4.jar.no
ln -sf $(build-classpath bsh2/bsh-core) lib/bsh/bsh-2.0b4.jar
## BUILD/spring/lib/bundlor/com.springsource.bundlor-1.0.0.M1.jar.no
## BUILD/spring/lib/bundlor/com.springsource.bundlor.ant-1.0.0.M1.jar.no
## BUILD/spring/lib/bundlor/com.springsource.org.antlr-3.0.1.jar.no
## BUILD/spring/lib/bundlor/com.springsource.org.apache.commons.cli-1.1.0.jar.no
## BUILD/spring/lib/bundlor/com.springsource.org.apache.commons.logging-1.1.1.jar.no
## BUILD/spring/lib/bundlor/com.springsource.org.apache.ws.commons.schema-1.3.2.jar.no
## BUILD/spring/lib/bundlor/com.springsource.org.objectweb.asm-3.1.0.jar.no
## BUILD/spring/lib/bundlor/com.springsource.org.objectweb.asm.commons-3.1.0.jar.no
## BUILD/spring/lib/bundlor/com.springsource.org.objectweb.asm.tree-3.1.0.jar.no
## BUILD/spring/lib/bundlor/com.springsource.server.osgi.manifest-1.0.0.BUILD-20080905115514.jar.no
## BUILD/spring/lib/bundlor/com.springsource.server.serviceability.ffdc-1.0.0.BUILD-20080905115514.jar.no
## BUILD/spring/lib/bundlor/com.springsource.server.serviceability.output-1.0.0.BUILD-20080905115514.jar.no
## BUILD/spring/lib/bundlor/com.springsource.server.serviceability.tracing-1.0.0.BUILD-20080905115514.jar.no
## BUILD/spring/lib/bundlor/com.springsource.slf4j.api-1.5.0.jar.no
## BUILD/spring/lib/bundlor/com.springsource.slf4j.org.apache.commons.logging-1.5.0.jar.no
## BUILD/spring/lib/bundlor/com.springsource.slf4j.org.apache.log4j-1.5.0.jar.no
## BUILD/spring/lib/bundlor/org.eclipse.osgi-3.4.0.v20080605-1900.jar.no
## BUILD/spring/lib/bundlor/org.springframework.beans-2.5.5.A.jar.no
## BUILD/spring/lib/bundlor/org.springframework.core-2.5.5.A.jar.no
## BUILD/spring/lib/bundlor/org.springframework.xml-1.5.2.A.jar.no
#mv lib/bundlor lib/bundlor-not-yet-available
for j in  lib/bundlor/*.jar.no; do
    on=$(echo $j | sed -e 's/\.no$//');
    mv $j $on
done

# BUILD/spring/lib/c3p0/c3p0-0.9.1.2.jar.no
ln -sf $(build-classpath c3p0) lib/c3p0/c3p0-0.9.1.2.jar
# BUILD/spring/lib/caucho/hessian-3.1.3.jar.no
##ln -sf $(build-classpath hessian-nodep) lib/caucho/hessian-3.1.3.jar
ln -sf $(build-classpath burlap) lib/caucho/burlap.jar
# BUILD/spring/lib/cglib/cglib-nodep-2.1_3.jar.no
ln -sf $(build-classpath cglib) lib/cglib/cglib.jar
# BUILD/spring/lib/clover/clover.jar.no

#BUILD/spring/lib/commonj/commonj-twm.jar.no
ln -sf $(build-classpath commonj_1_1_apis) lib/commonj/commonj-twm.jar
# BUILD/spring/lib/concurrent/backport-util-concurrent.jar.no
ln -sf $(build-classpath backport-util-concurrent) lib/concurrent/backport-util-concurrent.jar
# BUILD/spring/lib/dom4j/dom4j-1.6.1.jar.no
ln -sf $(build-classpath dom4j) lib/dom4j/dom4j-1.6.1.jar
# BUILD/spring/lib/dom4j/jaxen-1.1-beta-7.jar.no
ln -sf $(build-classpath jaxen) lib/dom4j/jaxen-1.1-beta-7.jar
## BUILD/spring/lib/easymock/easymockclassextension.jar.no
#ln -sf $(build-classpath easymock-classextension) lib/easymock/easymockclassextension.jar
# BUILD/spring/lib/easymock/easymock.jar.no
ln -sf $(build-classpath easymock) lib/easymock/easymock.jar
# BUILD/spring/lib/eclipselink/eclipselink.jar.no

# BUILD/spring/lib/ehcache/ehcache-1.5.0.jar.no
##ln -sf $(build-classpath ehcache) lib/ehcache/ehcache-1.5.0.jar
# BUILD/spring/lib/fop/fop.jar.no
ln -sf $(build-classpath xmlgraphics-fop) lib/fop/fop.jar
# BUILD/spring/lib/freemarker/freemarker.jar.no
ln -sf $(build-classpath freemarker) lib/freemarker/freemarker.jar
# BUILD/spring/lib/glassfish/glassfish-clapi.jar.no

## BUILD/spring/lib/groovy/groovy-1.5.6.jar.no
#ln -sf $(build-classpath groovy15-all) lib/groovy/groovy-1.5.6.jar
# BUILD/spring/lib/hibernate/hibernate3.jar.no
ln -sf $(build-classpath hibernate3) lib/hibernate/hibernate3.jar
# BUILD/spring/lib/hibernate/hibernate-annotations.jar.no
ln -sf $(build-classpath hibernate3-annotations) lib/hibernate/hibernate-annotations.jar
# BUILD/spring/lib/hibernate/hibernate-commons-annotations.jar.no

# BUILD/spring/lib/hibernate/hibernate-entitymanager.jar.no
ln -sf $(build-classpath hibernate3-entitymanager) lib/hibernate/hibernate-entitymanager.jar
# BUILD/spring/lib/hsqldb/hsqldb.jar.no
ln -sf $(build-classpath hsqldb) lib/hsqldb/hsqldb.jar
# BUILD/spring/lib/httpclient/commons-httpclient-3.0.jar.no
ln -sf $(build-classpath commons-httpclient) lib/httpclient/commons-httpclient-3.0.jar
# BUILD/spring/lib/httpunit/httpunit.jar.no
ln -sf $(build-classpath httpunit) lib/httpunit/httpunit.jar
# BUILD/spring/lib/httpunit/Tidy.jar.no
ln -sf $(build-classpath jtidy) lib/httpunit/Tidy.jar
# BUILD/spring/lib/ibatis/ibatis-2.3.4.726.jar.no
ln -sf $(build-classpath apache-ibatis) lib/ibatis/ibatis-2.3.4.726.jar
# BUILD/spring/lib/innovation/HTTPClient-0.3-3.jar.no

# BUILD/spring/lib/itext/iText-2.1.3.jar.no
ln -sf $(build-classpath itext) lib/itext/iText-2.1.3.jar
# BUILD/spring/lib/j2ee/activation.jar.no
ln -sf $(build-classpath jaf_1_1_api) lib/j2ee/activation.jar
# BUILD/spring/lib/j2ee/common-annotations.jar.no
ln -sf $(build-classpath annotation_1_0_api) lib/j2ee/common-annotations.jar
# BUILD/spring/lib/j2ee/connector.jar.no
ln -sf $(build-classpath j2ee_connector_1_5_api) lib/j2ee/connector.jar
# BUILD/spring/lib/j2ee/ejb-api.jar.no
ln -sf $(build-classpath ejb_3_0_api) lib/j2ee/ejb-api.jar
# BUILD/spring/lib/j2ee/el-api.jar.no
ln -sf $(build-classpath el_1_0_api) lib/j2ee/el-api.jar

# BUILD/spring/lib/j2ee/jaxrpc.jar.no
ln -sf $(build-classpath jaxrpc_1_1_api) lib/j2ee/jaxrpc.jar
# BUILD/spring/lib/j2ee/jms.jar.no
ln -sf $(build-classpath jms_1_1_api) lib/j2ee/jms.jar
# BUILD/spring/lib/j2ee/jsf-api.jar.no
ln -sf $(build-classpath jsf-api) lib/j2ee/jsf-api.jar
# BUILD/spring/lib/j2ee/jsp-api.jar.no
ln -sf $(build-classpath jsp_2_1_api) lib/j2ee/jsp-api.jar
# BUILD/spring/lib/j2ee/jstl.jar.no
ln -sf $(build-classpath jstl) lib/j2ee/jstl.jar
# BUILD/spring/lib/j2ee/jta.jar.no
ln -sf $(build-classpath jta_1_1_api) lib/j2ee/jta.jar
# BUILD/spring/lib/j2ee/mail.jar.no
ln -sf $(build-classpath glassfish-javamail/mailapi) lib/j2ee/mail.jar
# BUILD/spring/lib/j2ee/persistence.jar.no
ln -sf $(build-classpath jpa_1_0B_api) lib/j2ee/persistence.jar
# BUILD/spring/lib/j2ee/rowset.jar.no

# BUILD/spring/lib/j2ee/servlet-api.jar.no
ln -sf $(build-classpath tomcat5-servlet-2.4-api) lib/j2ee/servlet-api.jar
# BUILD/spring/lib/jakarta-commons/commons-attributes-api.jar.no
ln -sf $(build-classpath commons-attributes-api) lib/jakarta-commons/commons-attributes-api.jar
# BUILD/spring/lib/jakarta-commons/commons-attributes-compiler.jar.no
##ln -sf $(build-classpath commons-attributes-compiler) lib/jakarta-commons/commons-attributes-compiler.jar
# BUILD/spring/lib/jakarta-commons/commons-beanutils.jar.no
ln -sf $(build-classpath commons-beanutils) lib/jakarta-commons/commons-beanutils.jar
# BUILD/spring/lib/jakarta-commons/commons-codec.jar.no
ln -sf $(build-classpath commons-codec) lib/jakarta-commons/commons-codec.jar
# BUILD/spring/lib/jakarta-commons/commons-collections.jar.no
ln -sf $(build-classpath commons-collections) lib/jakarta-commons/commons-collections.jar
# BUILD/spring/lib/jakarta-commons/commons-dbcp.jar.no
ln -sf $(build-classpath commons-dbcp) lib/jakarta-commons/commons-dbcp.jar
# BUILD/spring/lib/jakarta-commons/commons-digester.jar.no
ln -sf $(build-classpath commons-digester) lib/jakarta-commons/commons-digester.jar
# BUILD/spring/lib/jakarta-commons/commons-discovery.jar.no
ln -sf $(build-classpath commons-discovery) lib/jakarta-commons/commons-discovery.jar
# BUILD/spring/lib/jakarta-commons/commons-fileupload.jar.no
ln -sf $(build-classpath commons-fileupload) lib/jakarta-commons/commons-fileupload.jar
# BUILD/spring/lib/jakarta-commons/commons-httpclient.jar.no
ln -sf $(build-classpath commons-httpclient) lib/jakarta-commons/commons-httpclient.jar
# BUILD/spring/lib/jakarta-commons/commons-io.jar.no
ln -sf $(build-classpath commons-io) lib/jakarta-commons/commons-io.jar
# BUILD/spring/lib/jakarta-commons/commons-lang.jar.no
ln -sf $(build-classpath commons-lang) lib/jakarta-commons/commons-lang.jar
# BUILD/spring/lib/jakarta-commons/commons-logging.jar.no
ln -sf $(build-classpath commons-logging) lib/jakarta-commons/commons-logging.jar
# BUILD/spring/lib/jakarta-commons/commons-pool.jar.no
ln -sf $(build-classpath commons-pool) lib/jakarta-commons/commons-pool.jar
# BUILD/spring/lib/jakarta-commons/commons-validator.jar.no
ln -sf $(build-classpath commons-validator) lib/jakarta-commons/commons-validator.jar
# BUILD/spring/lib/jakarta-taglibs/standard.jar.no
ln -sf $(build-classpath taglibs-standard) lib/jakarta-taglibs/standard.jar
# BUILD/spring/lib/jamon/jamon-2.7.jar.no
#ln -sf $(build-classpath jamonapi) lib/jamon/jamon-2.7.jar
# BUILD/spring/lib/jarjar/jarjar.jar.no
ln -sf $(build-classpath jarjar) lib/jarjar/jarjar.jar
# BUILD/spring/lib/jasperreports/jasperreports-2.0.5.jar.no
##ln -sf $(build-classpath jasperreports) lib/jasperreports/jasperreports-2.0.5.jar
# BUILD/spring/lib/javassist/javassist-3.4.GA.jar.no
ln -sf $(build-classpath javassist) lib/javassist/javassist-3.4.GA.jar
# BUILD/spring/lib/jaxws/jaxb-api.jar.no
ln -sf $(build-classpath glassfish-jaxb/jaxb-api) lib/jaxws/jaxb-api.jar
# BUILD/spring/lib/jaxws/jaxws-api.jar.no
ln -sf $(build-classpath jaxws-api) lib/jaxws/jaxws-api.jar
# BUILD/spring/lib/jaxws/jws-api.jar.no
ln -sf $(build-classpath ws_metadata_2_0_api) lib/jaxws/jws-api.jar
# BUILD/spring/lib/jaxws/saaj-api.jar.no
ln -sf $(build-classpath sun-jaxws/saaj-api) lib/jaxws/saaj-api.jar
## BUILD/spring/lib/jdo/jdo2-api.jar.no
#ln -sf $(build-classpath apache-jdo-2.0-api) lib/jdo/jdo2-api.jar
# BUILD/spring/lib/jdom/jdom.jar.no
ln -sf $(build-classpath jdom) lib/jdom/jdom.jar
# BUILD/spring/lib/jdt/jdt-compiler-3.1.1.jar.no
ln -sf $(build-classpath ecj3) lib/jdt/jdt-compiler-3.1.1.jar
# BUILD/spring/lib/jets3t/jets3t.jar.no

# BUILD/spring/lib/jexcelapi/jxl.jar.no
ln -sf $(build-classpath jexcelapi) lib/jexcelapi/jxl.jar
# BUILD/spring/lib/jmock/jmock-cglib.jar.no
ln -sf $(build-classpath jmock-cglib) lib/jmock/jmock-cglib.jar
# BUILD/spring/lib/jmock/jmock.jar.no
ln -sf $(build-classpath jmock) lib/jmock/jmock.jar
# BUILD/spring/lib/jmx/jmxremote.jar.no

# BUILD/spring/lib/jmx/jmxremote_optional.jar.no

# BUILD/spring/lib/jmx/jmxri.jar.no

# BUILD/spring/lib/jotm/jotm.jar.no
ln -sf $(build-classpath jotm/jotm) lib/jotm/jotm.jar
# BUILD/spring/lib/jotm/xapool.jar.no
ln -sf $(build-classpath xapool) lib/jotm/xapool.jar
# BUILD/spring/lib/jruby/jruby.jar.no
##ln -sf $(build-classpath jruby) lib/jruby/jruby.jar
##ln -sf $(build-classpath jruby-bytelist) lib/jruby/jruby-bytelist.jar
# BUILD/spring/lib/junit/junit-3.8.2.jar.no
ln -sf $(build-classpath junit) lib/junit/junit-3.8.2.jar
# BUILD/spring/lib/junit/junit-4.4.jar.no
##ln -sf $(build-classpath junit4) lib/junit/junit-4.4.jar
# BUILD/spring/lib/log4j/log4j-1.2.15.jar.no
ln -sf $(build-classpath log4j) lib/log4j/log4j-1.2.15.jar
# BUILD/spring/lib/maven/maven-ant-tasks.jar.no

# BUILD/spring/lib/oc4j/oc4j-clapi.jar.no

# BUILD/spring/lib/ognl/ognl.jar.no
ln -sf $(build-classpath ognl) lib/ognl/ognl.jar
# BUILD/spring/lib/openjpa/openjpa-1.1.0.jar.no
##ln -sf $(build-classpath openjpa/all) lib/openjpa/openjpa-1.1.0.jar
# BUILD/spring/lib/osgi/org.eclipse.osgi_3.1.1.jar.no

# BUILD/spring/lib/poi/poi-3.0.1.jar.no
ln -sf $(build-classpath jakarta-poi) lib/poi/poi-3.0.1.jar
# BUILD/spring/lib/portlet/portlet-api.jar.no
ln -sf $(build-classpath portlet-1.0-api) lib/portlet/portlet-api.jar
# BUILD/spring/lib/qdox/qdox-1.5.jar.no
ln -sf $(build-classpath qdox) lib/qdox/qdox-1.5.jar
# BUILD/spring/lib/quartz/quartz-all-1.6.1.jar.no
ln -sf $(build-classpath quartz16-all) lib/quartz/quartz-all-1.6.1.jar
# BUILD/spring/lib/serp/serp-1.13.1.jar.no
##ln -sf $(build-classpath serp) lib/serp/serp-1.13.1.jar
# BUILD/spring/lib/slf4j/slf4j-api-1.5.0.jar.no
ln -sf $(build-classpath slf4j/api) lib/slf4j/slf4j-api-1.5.0.jar
# BUILD/spring/lib/slf4j/slf4j-log4j12-1.5.0.jar.no
ln -sf $(build-classpath slf4j/log4j12) lib/slf4j/slf4j-log4j12-1.5.0.jar
# BUILD/spring/lib/struts/struts.jar.no
ln -sf $(build-classpath struts) lib/struts/struts.jar
ln -sf $(build-classpath struts-tiles) lib/struts/struts-tiles.jar
ln -sf $(build-classpath struts-extras) lib/struts/struts-extras.jar
# BUILD/spring/lib/testng/testng-5.8-jdk15.jar.no
ln -sf $(build-classpath testng-jdk15) lib/testng/testng-5.8-jdk15.jar
# BUILD/spring/lib/tiles/tiles-api-2.0.6.jar.no
ln -sf $(build-classpath tiles/api) lib/tiles/tiles-api-2.0.6.jar
# BUILD/spring/lib/tiles/tiles-core-2.0.6.jar.no
ln -sf $(build-classpath tiles/core) lib/tiles/tiles-core-2.0.6.jar
# BUILD/spring/lib/tiles/tiles-jsp-2.0.6.jar.no
ln -sf $(build-classpath tiles/jsp) lib/tiles/tiles-jsp-2.0.6.jar
# BUILD/spring/lib/tomcat/catalina.jar.no
ln -sf $(build-classpath tomcat5/catalina) lib/tomcat/catalina.jar
# BUILD/spring/lib/tomcat/naming-resources.jar.no
ln -sf $(build-classpath tomcat5/naming-resources) lib/tomcat/naming-resources.jar
#BUILD/spring-framework-2.5.1/lib/toplink/toplink-api.jar.no
ln -sf $(build-classpath glassfish-persistence-1.0b-api) lib/toplink/toplink-api.jar
#mv lib/toplink/toplink-api.jar.no lib/toplink/toplink-api.jar
#BUILD/spring-framework-2.5.1/lib/toplink/toplink-essentials.jar.no
ln -sf $(build-classpath glassfish/toplink-essentials) lib/toplink/toplink-essentials.jar
#mv lib/toplink/toplink-essentials.jar.no lib/toplink/toplink-essentials.jar

# BUILD/spring/lib/velocity/velocity-1.5.jar.no
ln -sf $(build-classpath velocity-jboss) lib/velocity/velocity-1.5.jar
# BUILD/spring/lib/velocity/velocity-tools-view-1.4.jar.no
#ln -sf $(build-classpath velocity-tools) lib/velocity/velocity-tools-view-1.4.jar
# BUILD/spring/lib/websphere/websphere_uow_api.jar.no

# BUILD/spring/lib/xdoclet/xjavadoc-1.1.jar.no
ln -sf $(build-classpath xjavadoc) lib/xdoclet/xjavadoc-1.1.jar
# BUILD/spring/lib/xerces/xercesImpl.jar.no
ln -sf $(build-classpath xerces-j2) lib/xerces/xercesImpl.jar
# BUILD/spring/samples/jca-1.0/dist/spring-jca-sample.jar.no

# BUILD/spring/samples/jca-1.0/lib/spring-cciblackbox-tx.jar.no
%else
pushd lib
rm cglib/cglib-nodep-2.1_3.jar
ln -s %{_javadir}/cglib.jar cglib/cglib.jar
rm dom4j/dom4j-1.6.1.jar
ln -s %{_javadir}/dom4j.jar dom4j/dom4j-1.6.1.jar
rm jakarta-commons/commons-dbcp.jar
ln -s %{_javadir}/jakarta-commons-dbcp.jar jakarta-commons/commons-dbcp.jar
rm jakarta-commons/commons-httpclient.jar
ln -s %{_javadir}/jakarta-commons-httpclient.jar jakarta-commons/commons-httpclient.jar
rm jakarta-commons/commons-pool.jar
ln -s %{_javadir}/jakarta-commons-pool.jar jakarta-commons/commons-pool.jar
rm jakarta-commons/commons-beanutils.jar
ln -s %{_javadir}/jakarta-commons-beanutils.jar jakarta-commons/commons-beanutils.jar
rm jakarta-commons/commons-collections.jar
ln -s %{_javadir}/jakarta-commons-collections.jar jakarta-commons/commons-collections.jar
rm jakarta-commons/commons-digester.jar
ln -s %{_javadir}/jakarta-commons-digester.jar jakarta-commons/commons-digester.jar
rm jakarta-commons/commons-fileupload.jar
ln -s %{_javadir}/jakarta-commons-fileupload.jar jakarta-commons/commons-fileupload.jar
rm jakarta-commons/commons-io.jar
ln -s %{_javadir}/jakarta-commons-io.jar jakarta-commons/commons-io.jar
rm jakarta-commons/commons-logging.jar
ln -s %{_javadir}/jakarta-commons-logging.jar jakarta-commons/commons-logging.jar
rm jakarta-taglibs/standard.jar
ln -s %{_javadir}/jakarta-taglibs-standard.jar jakarta-taglibs/standard.jar
rm jakarta-commons/commons-validator.jar
ln -s %{_javadir}/jakarta-commons-validator.jar jakarta-commons/commons-validator.jar
rm log4j/log4j-1.2.15.jar
ln -s %{_javadir}/log4j.jar log4j/log4j-1.2.14.jar
rm quartz/quartz-all-1.6.1.jar
ln -s %{_javadir}/quartz16-all.jar quartz/quartz-all-1.6.0.jar
popd
%endif

##################################################################
echo ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
echo The following jars are symlinked:
%{_bindir}/find -type l -name "*.jar" -print
echo ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
echo ##################################################################
echo WARNING: The following jars are NOT symlinked:
%{_bindir}/find -not -type l -name "*.jar" -print
echo ##################################################################

%build
#export JAVA_HOME=%{_jvmdir}/java-1.6.0
export CLASSPATH=
export OPT_JAR_LIST=`%{__cat} %{_sysconfdir}/ant.d/trax`
%{ant} -Dbuild.sysclasspath=first -Djava.awt.headless=true release
# %{ant} alljars tests javadoc doc.html

%install
rm -rf $RPM_BUILD_ROOT

# jars
install -d -m 755 $RPM_BUILD_ROOT%{_javadir}
install -d -m 755 $RPM_BUILD_ROOT%{_javadir}/%{name}

install -p -m 644 dist/%{bname}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}-%{version}.jar
install -p -m 644 dist/weaving/%{bname}-agent.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/agent-%{version}.jar
install -p -m 644 dist/modules/%{bname}-aop.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/aop-%{version}.jar
install -p -m 644 dist/weaving/%{bname}-aspects.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/aspects-%{version}.jar
install -p -m 644 dist/modules/%{bname}-beans.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/beans-%{version}.jar
install -p -m 644 dist/modules/%{bname}-context.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/context-%{version}.jar
install -p -m 644 dist/modules/%{bname}-context-support.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/context-support-%{version}.jar
install -p -m 644 dist/modules/%{bname}-core.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/core-%{version}.jar
install -p -m 644 dist/modules/%{bname}-jdbc.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/jdbc-%{version}.jar
install -p -m 644 dist/modules/%{bname}-jms.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/jms-%{version}.jar
install -p -m 644 dist/modules/%{bname}-orm.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/orm-%{version}.jar
install -p -m 644 dist/modules/%{bname}-test.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/test-%{version}.jar
install -p -m 644 dist/weaving/%{bname}-tomcat-weaver.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/tomcat-weaver-%{version}.jar
install -p -m 644 dist/modules/%{bname}-tx.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/tx-%{version}.jar
install -p -m 644 dist/modules/%{bname}-web.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/web-%{version}.jar
install -p -m 644 dist/modules/%{bname}-webmvc.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/webmvc-%{version}.jar
install -p -m 644 dist/modules/%{bname}-webmvc-portlet.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/webmvc-portlet-%{version}.jar
install -p -m 644 dist/modules/%{bname}-webmvc-struts.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/webmvc-struts-%{version}.jar

mkdir -p $RPM_BUILD_ROOT%{_javadir}/%{name}-sources
install -p -m 644 dist/weaving-sources/spring-agent-sources.jar $RPM_BUILD_ROOT%{_javadir}/%{name}-sources/agent-sources-%{version}.jar
install -p -m 644 dist/module-sources/spring-aop-sources.jar $RPM_BUILD_ROOT%{_javadir}/%{name}-sources/aop-sources-%{version}.jar
install -p -m 644 dist/weaving-sources/spring-aspects-sources.jar $RPM_BUILD_ROOT%{_javadir}/%{name}-sources/aspects-sources-%{version}.jar
install -p -m 644 dist/module-sources/spring-beans-sources.jar $RPM_BUILD_ROOT%{_javadir}/%{name}-sources/beans-sources-%{version}.jar
install -p -m 644 dist/module-sources/spring-context-sources.jar $RPM_BUILD_ROOT%{_javadir}/%{name}-sources/context-sources-%{version}.jar
install -p -m 644 dist/module-sources/spring-context-support-sources.jar $RPM_BUILD_ROOT%{_javadir}/%{name}-sources/context-support-sources-%{version}.jar
install -p -m 644 dist/module-sources/spring-core-sources.jar $RPM_BUILD_ROOT%{_javadir}/%{name}-sources/core-sources-%{version}.jar
install -p -m 644 dist/module-sources/spring-jdbc-sources.jar $RPM_BUILD_ROOT%{_javadir}/%{name}-sources/jdbc-sources-%{version}.jar
install -p -m 644 dist/module-sources/spring-jms-sources.jar $RPM_BUILD_ROOT%{_javadir}/%{name}-sources/jms-sources-%{version}.jar
install -p -m 644 dist/module-sources/spring-orm-sources.jar $RPM_BUILD_ROOT%{_javadir}/%{name}-sources/orm-sources-%{version}.jar
install -p -m 644 dist/module-sources/spring-test-sources.jar $RPM_BUILD_ROOT%{_javadir}/%{name}-sources/test-sources-%{version}.jar
install -p -m 644 dist/weaving-sources/spring-tomcat-weaver-sources.jar $RPM_BUILD_ROOT%{_javadir}/%{name}-sources/tomcat-weaver-sources-%{version}.jar
install -p -m 644 dist/module-sources/spring-tx-sources.jar $RPM_BUILD_ROOT%{_javadir}/%{name}-sources/tx-sources-%{version}.jar
install -p -m 644 dist/module-sources/spring-webmvc-sources.jar $RPM_BUILD_ROOT%{_javadir}/%{name}-sources/webmvc-sources-%{version}.jar
install -p -m 644 dist/module-sources/spring-webmvc-portlet-sources.jar $RPM_BUILD_ROOT%{_javadir}/%{name}-sources/webmvc-portlet-sources-%{version}.jar
install -p -m 644 dist/module-sources/spring-webmvc-struts-sources.jar $RPM_BUILD_ROOT%{_javadir}/%{name}-sources/webmvc-struts-sources-%{version}.jar
install -p -m 644 dist/module-sources/spring-web-sources.jar $RPM_BUILD_ROOT%{_javadir}/%{name}-sources/web-sources-%{version}.jar

(cd $RPM_BUILD_ROOT%{_javadir} && for jar in *-%{version}*; do ln -sf ${jar} `echo $jar| sed  "s|-%{version}||g"`; done)
(cd $RPM_BUILD_ROOT%{_javadir}/%{name} && for jar in *-%{version}*; do ln -sf ${jar} `echo $jar| sed  "s|-%{version}||g"`; done)
(cd $RPM_BUILD_ROOT%{_javadir}/%{name}-sources && for jar in *-%{version}*; do ln -sf ${jar} `echo $jar| sed  "s|-%{version}||g"`; done)

%add_to_maven_depmap org.springframework %{bname}-agent %{version} JPP/%{name} agent
%add_to_maven_depmap org.springframework %{bname}-aop %{version} JPP/%{name} aop
%add_to_maven_depmap org.springframework %{bname}-aspects %{version} JPP/%{name} aspects
%add_to_maven_depmap org.springframework %{bname}-beans %{version} JPP/%{name} beans
%add_to_maven_depmap org.springframework %{bname}-context %{version} JPP/%{name} context
%add_to_maven_depmap org.springframework %{bname}-context-support %{version} JPP/%{name} context-support
%add_to_maven_depmap org.springframework %{bname}-core %{version} JPP/%{name} core
%add_to_maven_depmap org.springframework %{bname}-jdbc %{version} JPP/%{name} jdbc
%add_to_maven_depmap org.springframework %{bname}-jms %{version} JPP/%{name} jms
%add_to_maven_depmap org.springframework %{bname}-orm %{version} JPP/%{name} orm
%add_to_maven_depmap org.springframework %{bname} %{version} JPP %{name}
%add_to_maven_depmap org.springframework %{bname}-test %{version} JPP/%{name} test
%add_to_maven_depmap org.springframework %{bname}-tomcat-weaver %{version} JPP/%{name} tomcat-weaver
%add_to_maven_depmap org.springframework %{bname}-tx %{version} JPP/%{name} tx
%add_to_maven_depmap org.springframework %{bname}-webmvc %{version} JPP/%{name} webmvc
%add_to_maven_depmap org.springframework %{bname}-webmvc-portlet %{version} JPP/%{name} webmvc-portlet
%add_to_maven_depmap org.springframework %{bname}-webmvc-struts %{version} JPP/%{name} webmvc-struts
%add_to_maven_depmap org.springframework %{bname}-web %{version} JPP/%{name} web

# poms
install -d -m 755 $RPM_BUILD_ROOT%{_datadir}/maven2/poms
install -p -m 644 dist/maven/spring-agent.pom $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-agent.pom
install -p -m 644 dist/maven/spring-aop.pom $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-aop.pom
install -p -m 644 dist/maven/spring-aspects.pom $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-aspects.pom
install -p -m 644 dist/maven/spring-beans.pom $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-beans.pom
install -p -m 644 dist/maven/spring-context.pom $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-context.pom
install -p -m 644 dist/maven/spring-context-support.pom $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-context-support.pom
install -p -m 644 dist/maven/spring-core.pom $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-core.pom
install -p -m 644 dist/maven/spring-jdbc.pom $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-jdbc.pom
install -p -m 644 dist/maven/spring-jms.pom $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-jms.pom
install -p -m 644 dist/maven/spring-orm.pom $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-orm.pom
install -p -m 644 dist/maven/spring.pom $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP-%{name}.pom
install -p -m 644 dist/maven/spring-test.pom $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-test.pom
install -p -m 644 dist/maven/spring-tomcat-weaver.pom $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-tomcat-weaver.pom
install -p -m 644 dist/maven/spring-tx.pom $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-tx.pom
install -p -m 644 dist/maven/spring-web.pom $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-web.pom
install -p -m 644 dist/maven/spring-webmvc.pom $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-webmvc.pom
install -p -m 644 dist/maven/spring-webmvc-portlet.pom $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-webmvc-portlet.pom
install -p -m 644 dist/maven/spring-webmvc-struts.pom $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-webmvc-struts.pom

# resources
install -d -m 755 $RPM_BUILD_ROOT%{_datadir}/%{name}-%{version}/etc
install -p -m 644 dist/resources/spring-aop-2.0.xsd $RPM_BUILD_ROOT%{_datadir}/%{name}-%{version}/etc/%{bname}-aop-2.0.xsd
install -p -m 644 dist/resources/spring-aop-2.5.xsd $RPM_BUILD_ROOT%{_datadir}/%{name}-%{version}/etc/%{bname}-aop-2.5.xsd
install -p -m 644 dist/resources/spring-beans-2.0.dtd $RPM_BUILD_ROOT%{_datadir}/%{name}-%{version}/etc/%{bname}-beans-2.0.dtd
install -p -m 644 dist/resources/spring-beans-2.0.xsd $RPM_BUILD_ROOT%{_datadir}/%{name}-%{version}/etc/%{bname}-beans-2.0.xsd
install -p -m 644 dist/resources/spring-beans-2.5.xsd $RPM_BUILD_ROOT%{_datadir}/%{name}-%{version}/etc/%{bname}-beans-2.5.xsd
install -p -m 644 dist/resources/spring-beans.dtd $RPM_BUILD_ROOT%{_datadir}/%{name}-%{version}/etc/%{bname}-beans.dtd
install -p -m 644 dist/resources/spring-context-2.5.xsd $RPM_BUILD_ROOT%{_datadir}/%{name}-%{version}/etc/%{bname}-context-2.5.xsd
install -p -m 644 dist/resources/spring-form.tld $RPM_BUILD_ROOT%{_datadir}/%{name}-%{version}/etc/%{bname}-form.tld
install -p -m 644 dist/resources/spring.ftl $RPM_BUILD_ROOT%{_datadir}/%{name}-%{version}/etc/%{bname}.ftl
install -p -m 644 dist/resources/spring-jee-2.0.xsd $RPM_BUILD_ROOT%{_datadir}/%{name}-%{version}/etc/%{bname}-jee-2.0.xsd
install -p -m 644 dist/resources/spring-jee-2.5.xsd $RPM_BUILD_ROOT%{_datadir}/%{name}-%{version}/etc/%{bname}-jee-2.5.xsd
install -p -m 644 dist/resources/spring-jms-2.5.xsd $RPM_BUILD_ROOT%{_datadir}/%{name}-%{version}/etc/%{bname}-jms-2.5.xsd
install -p -m 644 dist/resources/spring-lang-2.0.xsd $RPM_BUILD_ROOT%{_datadir}/%{name}-%{version}/etc/%{bname}-lang-2.0.xsd
install -p -m 644 dist/resources/spring-lang-2.5.xsd $RPM_BUILD_ROOT%{_datadir}/%{name}-%{version}/etc/%{bname}-lang-2.5.xsd
install -p -m 644 dist/resources/spring.tld $RPM_BUILD_ROOT%{_datadir}/%{name}-%{version}/etc/%{bname}.tld
install -p -m 644 dist/resources/spring-tool-2.0.xsd $RPM_BUILD_ROOT%{_datadir}/%{name}-%{version}/etc/%{bname}-tool-2.0.xsd
install -p -m 644 dist/resources/spring-tool-2.5.xsd $RPM_BUILD_ROOT%{_datadir}/%{name}-%{version}/etc/%{bname}-tool-2.5.xsd
install -p -m 644 dist/resources/spring-tx-2.0.xsd $RPM_BUILD_ROOT%{_datadir}/%{name}-%{version}/etc/%{bname}-tx-2.0.xsd
install -p -m 644 dist/resources/spring-tx-2.5.xsd $RPM_BUILD_ROOT%{_datadir}/%{name}-%{version}/etc/%{bname}-tx-2.5.xsd
install -p -m 644 dist/resources/spring-util-2.0.xsd $RPM_BUILD_ROOT%{_datadir}/%{name}-%{version}/etc/%{bname}-util-2.0.xsd
install -p -m 644 dist/resources/spring-util-2.5.xsd $RPM_BUILD_ROOT%{_datadir}/%{name}-%{version}/etc/%{bname}-util-2.5.xsd
install -p -m 644 dist/resources/spring.vm $RPM_BUILD_ROOT%{_datadir}/%{name}-%{version}/etc/%{bname}.vm

# javadoc
install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
cp -pr docs/api/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
ln -s %{name}-%{version} $RPM_BUILD_ROOT%{_javadocdir}/%{name}

### manual
install -d -m 755 $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}/
cp -pr changelog.txt license.txt notice.txt readme.txt $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}/
ln -s %{_javadocdir}/%{name} $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}/api
install -d -m 755 $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}/taglib/
cp -pr docs/taglib/* $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}/taglib/
install -d -m 755 $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}/reference/
install -d -m 755 $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}/reference/html_single/
cp -pr docs/reference/html_single/* $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}/reference/html_single/
install -d -m 755 $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}/reference/images/admons/
cp -p docs/reference/images/admons/*.png docs/reference/images/admons/*.gif docs/reference/images/admons/*.tif $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}/reference/images/admons/
install -d -m 755 $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}/reference/pdf/
cp -p docs/reference/pdf/*.pdf $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}/reference/pdf/
install -d -m 755 $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}/reference/styles/
cp -p docs/reference/styles/html.css $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}/reference/styles/
cp -p docs/reference/readme.txt $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}/reference/
install -d -m 755 $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}/MVC-step-by-step/
install -d -m 755 $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}/MVC-step-by-step/html_single/
cp -pr docs/MVC-step-by-step/html_single/* $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}/MVC-step-by-step/html_single/
install -d -m 755 $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}/MVC-step-by-step/images/admons/
cp -p docs/MVC-step-by-step/images/admons/*.png docs/MVC-step-by-step/images/admons/*.gif docs/MVC-step-by-step/images/admons/*.tif $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}/MVC-step-by-step/images/admons/
install -d -m 755 $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}/MVC-step-by-step/pdf/
cp -p docs/MVC-step-by-step/pdf/*.pdf $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}/MVC-step-by-step/pdf/
install -d $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}/MVC-step-by-step/styles/
cp -p docs/MVC-step-by-step/styles/html.css $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}/MVC-step-by-step/styles/
###

# demo
install -d -m 755 $RPM_BUILD_ROOT%{_datadir}/%{name}-%{version}/samples
for d in imagedb jpetstore petclinic petportal; do
    cp -pr samples/${d}/ $RPM_BUILD_ROOT%{_datadir}/%{name}-%{version}/samples/
done

# FIXME: (dwalluck): hack for Recognition of file failed
rm $RPM_BUILD_ROOT%{_datadir}/%{name}-%{version}/samples/jpetstore/war/images/*.gif

## osgi
#install -d -m 755 $RPM_BUILD_ROOT%{_datadir}/%{name}-%{version}/osgi/bnd
#cp -pr osgi/bnd/* $RPM_BUILD_ROOT%{_datadir}/%{name}-%{version}/osgi/bnd

%if %with repolib
install -d -m 755 $RPM_BUILD_ROOT%{repodir}
install -d -m 755 $RPM_BUILD_ROOT%{repodirlib}
install -p -m 644 %{SOURCE2} $RPM_BUILD_ROOT%{repodir}/component-info.xml
sed -i 's/@VERSION@/%{upstream_version}-brew/g' $RPM_BUILD_ROOT%{repodir}/component-info.xml
tag=`echo %{name}-%{version}-%{release} | sed 's|\.|_|g'`
sed -i "s/@TAG@/$tag/g" $RPM_BUILD_ROOT%{repodir}/component-info.xml
install -d -m 755 $RPM_BUILD_ROOT%{repodirsrc}
install -p -m 644 %{SOURCE0} $RPM_BUILD_ROOT%{repodirsrc}
install -p -m 644 %{SOURCE1} $RPM_BUILD_ROOT%{repodirsrc}
%if 0
install -p -m 644 %{PATCH0} $RPM_BUILD_ROOT%{repodirsrc}
%endif
install -p -m 644 %{PATCH1} $RPM_BUILD_ROOT%{repodirsrc}
install -p -m 644 %{PATCH2} $RPM_BUILD_ROOT%{repodirsrc}
install -p -m 644 %{PATCH3} $RPM_BUILD_ROOT%{repodirsrc}
install -p -m 644 %{PATCH4} $RPM_BUILD_ROOT%{repodirsrc}
install -p -m 644 %{PATCH5} $RPM_BUILD_ROOT%{repodirsrc}
install -p -m 644 %{PATCH6} $RPM_BUILD_ROOT%{repodirsrc}
install -p -m 644 %{PATCH8} $RPM_BUILD_ROOT%{repodirsrc}
%if 0
install -p -m 644 %{PATCH9} $RPM_BUILD_ROOT%{repodirsrc}
%endif
install -p -m 644 %{PATCH10} $RPM_BUILD_ROOT%{repodirsrc}
install -p -m 644 %{PATCH11} $RPM_BUILD_ROOT%{repodirsrc}
install -p -m 644 %{PATCH12} $RPM_BUILD_ROOT%{repodirsrc}
%if 0
install -p -m 644 %{PATCH13} $RPM_BUILD_ROOT%{repodirsrc}
%endif
install -p -m 644 %{PATCH14} $RPM_BUILD_ROOT%{repodirsrc}
install -p -m 644 %{PATCH15} $RPM_BUILD_ROOT%{repodirsrc}
cp -p $RPM_BUILD_ROOT%{_javadir}/%{name}-%{version}.jar $RPM_BUILD_ROOT%{repodirlib}/spring.jar
cp -p $RPM_BUILD_ROOT%{_javadir}/%{name}/agent-%{version}.jar $RPM_BUILD_ROOT%{repodirlib}/spring-agent.jar
cp -p $RPM_BUILD_ROOT%{_javadir}/%{name}/aop-%{version}.jar $RPM_BUILD_ROOT%{repodirlib}/spring-aop.jar
cp -p $RPM_BUILD_ROOT%{_javadir}/%{name}/aspects-%{version}.jar $RPM_BUILD_ROOT%{repodirlib}/spring-aspects.jar
cp -p $RPM_BUILD_ROOT%{_javadir}/%{name}/beans-%{version}.jar $RPM_BUILD_ROOT%{repodirlib}/spring-beans.jar
cp -p $RPM_BUILD_ROOT%{_javadir}/%{name}/context-%{version}.jar $RPM_BUILD_ROOT%{repodirlib}/spring-context.jar
cp -p $RPM_BUILD_ROOT%{_javadir}/%{name}/context-support-%{version}.jar $RPM_BUILD_ROOT%{repodirlib}/spring-context-support.jar
cp -p $RPM_BUILD_ROOT%{_javadir}/%{name}/core-%{version}.jar $RPM_BUILD_ROOT%{repodirlib}/spring-core.jar
cp -p $RPM_BUILD_ROOT%{_javadir}/%{name}/jdbc-%{version}.jar $RPM_BUILD_ROOT%{repodirlib}/spring-jdbc.jar
cp -p $RPM_BUILD_ROOT%{_javadir}/%{name}/jms-%{version}.jar $RPM_BUILD_ROOT%{repodirlib}/spring-jms.jar
cp -p $RPM_BUILD_ROOT%{_javadir}/%{name}/orm-%{version}.jar $RPM_BUILD_ROOT%{repodirlib}/spring-orm.jar
cp -p $RPM_BUILD_ROOT%{_javadir}/%{name}/test-%{version}.jar $RPM_BUILD_ROOT%{repodirlib}/spring-test.jar
cp -p $RPM_BUILD_ROOT%{_javadir}/%{name}/tomcat-weaver-%{version}.jar $RPM_BUILD_ROOT%{repodirlib}/spring-tomcat-weaver.jar
cp -p $RPM_BUILD_ROOT%{_javadir}/%{name}/tx-%{version}.jar $RPM_BUILD_ROOT%{repodirlib}/spring-tx.jar
cp -p $RPM_BUILD_ROOT%{_javadir}/%{name}/web-%{version}.jar $RPM_BUILD_ROOT%{repodirlib}/spring-web.jar
cp -p $RPM_BUILD_ROOT%{_javadir}/%{name}/webmvc-%{version}.jar $RPM_BUILD_ROOT%{repodirlib}/spring-webmvc.jar
cp -p $RPM_BUILD_ROOT%{_javadir}/%{name}/webmvc-portlet-%{version}.jar $RPM_BUILD_ROOT%{repodirlib}/spring-webmvc-portlet.jar
cp -p $RPM_BUILD_ROOT%{_javadir}/%{name}/webmvc-struts-%{version}.jar $RPM_BUILD_ROOT%{repodirlib}/spring-webmvc-struts.jar
cp -p $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP-%{name}.pom $RPM_BUILD_ROOT%{repodirlib}/spring.pom
cp -p $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-agent.pom $RPM_BUILD_ROOT%{repodirlib}/spring-agent.pom
cp -p $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-aop.pom $RPM_BUILD_ROOT%{repodirlib}/spring-aop.pom
cp -p $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-aspects.pom $RPM_BUILD_ROOT%{repodirlib}/spring-aspects.pom
cp -p $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-beans.pom $RPM_BUILD_ROOT%{repodirlib}/spring-beans.pom
cp -p $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-context.pom $RPM_BUILD_ROOT%{repodirlib}/spring-context.pom
cp -p $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-context-support.pom $RPM_BUILD_ROOT%{repodirlib}/spring-context-support.pom
cp -p $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-core.pom $RPM_BUILD_ROOT%{repodirlib}/spring-core.pom
cp -p $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-jdbc.pom $RPM_BUILD_ROOT%{repodirlib}/spring-jdbc.pom
cp -p $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-jms.pom $RPM_BUILD_ROOT%{repodirlib}/spring-jms.pom
cp -p $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-orm.pom $RPM_BUILD_ROOT%{repodirlib}/spring-orm.pom
cp -p $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-test.pom $RPM_BUILD_ROOT%{repodirlib}/spring-test.pom
cp -p $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-tomcat-weaver.pom $RPM_BUILD_ROOT%{repodirlib}/spring-tomcat-weaver.pom
cp -p $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-tx.pom $RPM_BUILD_ROOT%{repodirlib}/spring-tx.pom
cp -p $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-web.pom $RPM_BUILD_ROOT%{repodirlib}/spring-web.pom
cp -p $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-webmvc.pom $RPM_BUILD_ROOT%{repodirlib}/spring-webmvc.pom
cp -p $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-webmvc-portlet.pom $RPM_BUILD_ROOT%{repodirlib}/spring-webmvc-portlet.pom
cp -p $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-webmvc-struts.pom $RPM_BUILD_ROOT%{repodirlib}/spring-webmvc-struts.pom
cp -pr $RPM_BUILD_ROOT%{_javadir}/repository.jboss.com/org/springframework $RPM_BUILD_ROOT%{_javadir}/repository.jboss.com/spring
sed -i "s|org/springframework|spring|g" $RPM_BUILD_ROOT%{_javadir}/repository.jboss.com/spring/%{upstream_version}-brew/component-info.xml
%endif

%if %with zips
%{__mkdir_p} %{buildroot}%{_javadir}/jbossas-fordev
%{__cp} -p target/release/spring-framework-%{upstream_version}-with-dependencies.zip %{buildroot}%{_javadir}/jbossas-fordev/spring-framework-%{version}-with-dependencies.zip
%{__cp} -p target/release/spring-framework-%{upstream_version}.zip %{buildroot}%{_javadir}/jbossas-fordev/spring-framework-%{version}.zip
%{__cp} -p target/release/spring-framework-%{upstream_version}-with-docs.zip %{buildroot}%{_javadir}/jbossas-fordev/spring-framework-%{version}-with-docs.zip
%endif

%if %{gcj_support}
%{_bindir}/aot-compile-rpm
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_maven_depmap
%if %{gcj_support}
if [ -x %{_bindir}/rebuild-gcj-db ]
then
  %{_bindir}/rebuild-gcj-db
fi
%endif

%postun
%update_maven_depmap
%if %{gcj_support}
if [ -x %{_bindir}/rebuild-gcj-db ]
then
  %{_bindir}/rebuild-gcj-db
fi
%endif

#%if %{gcj_support}
#%post mock
#if [ -x %{_bindir}/rebuild-gcj-db ]
#then
#  %{_bindir}/rebuild-gcj-db
#fi
#%endif
#
#%if %{gcj_support}
#%postun mock
#if [ -x %{_bindir}/rebuild-gcj-db ]
#then
#  %{_bindir}/rebuild-gcj-db
#fi
#%endif

%files
%defattr(0644,root,root,0755)
%doc %dir %{_docdir}/%{name}-%{version}
%doc %{_docdir}/%{name}-%{version}/changelog.txt
%doc %{_docdir}/%{name}-%{version}/license.txt
%doc %{_docdir}/%{name}-%{version}/notice.txt
%doc %{_docdir}/%{name}-%{version}/readme.txt
%dir %{_javadir}/%{name}
%dir %{_datadir}/%{name}-%{version}
%dir %{_datadir}/%{name}-%{version}/etc
%{_datadir}/%{name}-%{version}/etc/spring-aop-2.0.xsd
%{_datadir}/%{name}-%{version}/etc/spring-aop-2.5.xsd
%{_datadir}/%{name}-%{version}/etc/spring-beans-2.0.dtd
%{_datadir}/%{name}-%{version}/etc/spring-beans-2.0.xsd
%{_datadir}/%{name}-%{version}/etc/spring-beans-2.5.xsd
%{_datadir}/%{name}-%{version}/etc/spring-beans.dtd
%{_datadir}/%{name}-%{version}/etc/spring-context-2.5.xsd
%{_datadir}/%{name}-%{version}/etc/spring-form.tld
%{_datadir}/%{name}-%{version}/etc/spring-jee-2.0.xsd
%{_datadir}/%{name}-%{version}/etc/spring-jee-2.5.xsd
%{_datadir}/%{name}-%{version}/etc/spring-jms-2.5.xsd
%{_datadir}/%{name}-%{version}/etc/spring-lang-2.0.xsd
%{_datadir}/%{name}-%{version}/etc/spring-lang-2.5.xsd
%{_datadir}/%{name}-%{version}/etc/spring-tool-2.0.xsd
%{_datadir}/%{name}-%{version}/etc/spring-tool-2.5.xsd
%{_datadir}/%{name}-%{version}/etc/spring-tx-2.0.xsd
%{_datadir}/%{name}-%{version}/etc/spring-tx-2.5.xsd
%{_datadir}/%{name}-%{version}/etc/spring-util-2.0.xsd
%{_datadir}/%{name}-%{version}/etc/spring-util-2.5.xsd
%{_datadir}/%{name}-%{version}/etc/spring.ftl
%{_datadir}/%{name}-%{version}/etc/spring.tld
%{_datadir}/%{name}-%{version}/etc/spring.vm
%if 0
%dir %{_datadir}/%{name}-%{version}/osgi
%dir %{_datadir}/%{name}-%{version}/osgi/bnd
%{_datadir}/%{name}-%{version}/osgi/bnd/*
%endif
%{_datadir}/maven2/poms/JPP-%{name}.pom
%{_datadir}/maven2/poms/JPP.%{name}-agent.pom
%{_datadir}/maven2/poms/JPP.%{name}-aop.pom
%{_datadir}/maven2/poms/JPP.%{name}-aspects.pom
%{_datadir}/maven2/poms/JPP.%{name}-beans.pom
%{_datadir}/maven2/poms/JPP.%{name}-context-support.pom
%{_datadir}/maven2/poms/JPP.%{name}-context.pom
%{_datadir}/maven2/poms/JPP.%{name}-core.pom
%{_datadir}/maven2/poms/JPP.%{name}-jdbc.pom
%{_datadir}/maven2/poms/JPP.%{name}-jms.pom
%{_datadir}/maven2/poms/JPP.%{name}-orm.pom
%{_datadir}/maven2/poms/JPP.%{name}-test.pom
%{_datadir}/maven2/poms/JPP.%{name}-tomcat-weaver.pom
%{_datadir}/maven2/poms/JPP.%{name}-tx.pom
%{_datadir}/maven2/poms/JPP.%{name}-web.pom
%{_datadir}/maven2/poms/JPP.%{name}-webmvc-portlet.pom
%{_datadir}/maven2/poms/JPP.%{name}-webmvc-struts.pom
%{_datadir}/maven2/poms/JPP.%{name}-webmvc.pom
%{_mavendepmapfragdir}/%{name}
%if %{gcj_support}
%dir %{_libdir}/gcj/%{name}
%attr(-,root,root) %{_libdir}/gcj/%{name}/%{name}-*%{version}.jar.*
%endif

%files core
%defattr(0644,root,root,0755)
%{_javadir}/%{name}/core-%{version}.jar
%{_javadir}/%{name}/core.jar

%files agent
%defattr(0644,root,root,0755)
%{_javadir}/%{name}/agent-%{version}.jar
%{_javadir}/%{name}/agent.jar

%files aop
%defattr(0644,root,root,0755)
%{_javadir}/%{name}/aop-%{version}.jar
%{_javadir}/%{name}/aop.jar

%files aspects
%defattr(0644,root,root,0755)
%{_javadir}/%{name}/aspects-%{version}.jar
%{_javadir}/%{name}/aspects.jar

%files beans
%defattr(0644,root,root,0755)
%{_javadir}/%{name}/beans-%{version}.jar
%{_javadir}/%{name}/beans.jar

%files context
%defattr(0644,root,root,0755)
%{_javadir}/%{name}/context-%{version}.jar
%{_javadir}/%{name}/context.jar

%files context-support
%defattr(0644,root,root,0755)
%{_javadir}/%{name}/context-support-%{version}.jar
%{_javadir}/%{name}/context-support.jar

%files jms
%defattr(0644,root,root,0755)
%{_javadir}/%{name}/jms-%{version}.jar
%{_javadir}/%{name}/jms.jar

%files jdbc
%defattr(0644,root,root,0755)
%{_javadir}/%{name}/jdbc-%{version}.jar
%{_javadir}/%{name}/jdbc.jar

%files orm
%defattr(0644,root,root,0755)
%{_javadir}/%{name}/orm-%{version}.jar
%{_javadir}/%{name}/orm.jar

%files test
%defattr(0644,root,root,0755)
%{_javadir}/%{name}/test-%{version}.jar
%{_javadir}/%{name}/test.jar

%files tomcat-weaver
%defattr(0644,root,root,0755)
%{_javadir}/%{name}/tomcat-weaver-%{version}.jar
%{_javadir}/%{name}/tomcat-weaver.jar

%files tx
%defattr(0644,root,root,0755)
%{_javadir}/%{name}/tx-%{version}.jar
%{_javadir}/%{name}/tx.jar

%files web
%defattr(0644,root,root,0755)
%{_javadir}/%{name}/web-%{version}.jar
%{_javadir}/%{name}/web.jar

%files webmvc
%defattr(0644,root,root,0755)
%{_javadir}/%{name}/webmvc-%{version}.jar
%{_javadir}/%{name}/webmvc.jar

%files webmvc-portlet
%defattr(0644,root,root,0755)
%{_javadir}/%{name}/webmvc-portlet-%{version}.jar
%{_javadir}/%{name}/webmvc-portlet.jar

%files webmvc-struts
%defattr(0644,root,root,0755)
%{_javadir}/%{name}/webmvc-struts-%{version}.jar
%{_javadir}/%{name}/webmvc-struts.jar

%files all
%defattr(0644,root,root,0755)
%{_javadir}/%{name}-%{version}.jar
%{_javadir}/%{name}.jar

%files javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/%{name}-%{version}
%{_javadocdir}/%{name}

%files manual
%defattr(0644,root,root,0755)
%doc %dir %{_docdir}/%{name}-%{version}
%doc %{_docdir}/%{name}-%{version}/*
%exclude %doc %{_docdir}/%{name}-%{version}/changelog.txt
%exclude %doc %{_docdir}/%{name}-%{version}/license.txt
%exclude %doc %{_docdir}/%{name}-%{version}/notice.txt
%exclude %doc %{_docdir}/%{name}-%{version}/readme.txt

%files demo
%defattr(0644,root,root,0755)
%{_datadir}/%{name}-%{version}/samples

%files devel
%defattr(0644,root,root,0755)
%dir %{_javadir}/%{name}-sources
%{_javadir}/%{name}-sources/aop-sources-%{version}.jar
%{_javadir}/%{name}-sources/aop-sources.jar
%{_javadir}/%{name}-sources/agent-sources-%{version}.jar
%{_javadir}/%{name}-sources/agent-sources.jar
%{_javadir}/%{name}-sources/aspects-sources-%{version}.jar
%{_javadir}/%{name}-sources/aspects-sources.jar
%{_javadir}/%{name}-sources/beans-sources-%{version}.jar
%{_javadir}/%{name}-sources/beans-sources.jar
%{_javadir}/%{name}-sources/context-sources-%{version}.jar
%{_javadir}/%{name}-sources/context-sources.jar
%{_javadir}/%{name}-sources/context-support-sources-%{version}.jar
%{_javadir}/%{name}-sources/context-support-sources.jar
%{_javadir}/%{name}-sources/core-sources-%{version}.jar
%{_javadir}/%{name}-sources/core-sources.jar
%{_javadir}/%{name}-sources/jdbc-sources-%{version}.jar
%{_javadir}/%{name}-sources/jdbc-sources.jar
%{_javadir}/%{name}-sources/jms-sources-%{version}.jar
%{_javadir}/%{name}-sources/jms-sources.jar
%{_javadir}/%{name}-sources/orm-sources-%{version}.jar
%{_javadir}/%{name}-sources/orm-sources.jar
%{_javadir}/%{name}-sources/tomcat-weaver-sources-%{version}.jar
%{_javadir}/%{name}-sources/tomcat-weaver-sources.jar
%{_javadir}/%{name}-sources/test-sources-%{version}.jar
%{_javadir}/%{name}-sources/test-sources.jar
%{_javadir}/%{name}-sources/tx-sources-%{version}.jar
%{_javadir}/%{name}-sources/tx-sources.jar
%{_javadir}/%{name}-sources/web-sources-%{version}.jar
%{_javadir}/%{name}-sources/web-sources.jar
%{_javadir}/%{name}-sources/webmvc-portlet-sources-%{version}.jar
%{_javadir}/%{name}-sources/webmvc-portlet-sources.jar
%{_javadir}/%{name}-sources/webmvc-sources-%{version}.jar
%{_javadir}/%{name}-sources/webmvc-sources.jar
%{_javadir}/%{name}-sources/webmvc-struts-sources-%{version}.jar
%{_javadir}/%{name}-sources/webmvc-struts-sources.jar

%if %with repolib
%files repolib
%defattr(0644,root,root,0755)
%dir %{_javadir}
%{_javadir}/repository.jboss.com
%endif

%if %with zips
# FIXME: (dwalluck): This could be split.
%files zip
%defattr(0644,jboss,jboss,0755)
%dir %{_javadir}/jbossas-fordev
%{_javadir}/jbossas-fordev/spring-framework-%{version}-with-dependencies.zip
%{_javadir}/jbossas-fordev/spring-framework-%{version}.zip
%{_javadir}/jbossas-fordev/spring-framework-%{version}-with-docs.zip
%endif

%changelog
* Tue Aug 07 2012 Permaine Cheung <pcheung@redhat.com> 0:2.5.6-9.SEC03.1
- 2.5.6.SEC03

* Mon Jul 12 2010 David Walluck <dwalluck@redhat.com> 0:2.5.6-8.SEC02.2
- rebuild from tag

* Fri Jun 18 2010 David Walluck <dwalluck@redhat.com> 0:2.5.6-8.SEC02.1
- 2.5.6.SEC02

* Fri Jun 18 2010 Martha Benitez <mbenitez@redhat.com> 0:2.5.6-7.SEC01.3
- Rebuild for 5.1

* Mon Nov 16 2009 David Walluck <dwalluck@redhat.com> 0:2.5.6-7.SEC01.2
- SVN r17139
- version is 2.5.6, not 2.5.6.SEC01

* Fri Oct 30 2009 David Walluck <dwalluck@redhat.com> 0:2.5.6-7.SEC01.1
- partial import for brew

* Wed Oct 14 2009 David Walluck <dwalluck@redhat.com> 0:2.5.6-7.SEC01
- add workaround for repolib

* Mon Oct 12 2009 David Walluck <dwalluck@redhat.com> 0:2.5.6-6.SEC01
- add all poms to repolib
- keep bundled bundlor jars
- BuildRequires: geronimo-interceptor-3.0-api (part of ejb3)
- BuildRequires: wsdl4j16 instead of wsdl4j
- use bundled activemq3
- use bundled qdox15
- make xmlgraphics optional (use bundled batik, fop, jai)

* Fri Sep 04 2009 David Walluck <dwalluck@redhat.com> 0:2.5.6-5.SEC01
- fix cglib

* Fri Jul 03 2009 David Walluck <dwalluck@redhat.com> 0:2.5.6-4.SEC01
- fix persistence links and (Build)Requires

* Thu Jul 01 2009 David Walluck <dwalluck@redhat.com> 0:2.5.6-3.SEC01
- add repolib

* Tue Jun 02 2009 David Walluck <dwalluck@redhat.com> 0:2.5.6-2.SEC01.6
- rebuild for older commons-io

* Mon Jun 1 2009 David Walluck <dwalluck@redhat.com> 0:2.5.6-2.SEC01.5
- use upstream libs except in specific cases
- don't link to (online) javadocs

* Fri May 15 2009 David Walluck <dwalluck@redhat.com> 0:2.5.6-2.SEC01.4
- remove all Requires

* Thu May 07 2009 Martha Benitez <mbenitez@redhat.com> 0:2.5.6-2.SEC01.3
- Move txt files to main pkg from manual pkg.

* Tue May 05 2009 Martha Benitez <mbenitez@redhat.com> 0:2.5.6-2.SEC01.2
- Change location of manual files.

* Mon May 04 2009 Martha Benitez <mbenitez@redhat.com> 0:2.5.6-2.SEC01.1
- Install manual files directly to docdir instead of temporary directory.
 
* Fri May 01 2009 David Walluck <dwalluck@redhat.com> 0:2.5.6-2.SEC01
- 2.5.6.SEC01
- fix setting of JAVA_HOME
- fix %%files list in manual

* Fri May 01 2009 Martha Benitez <mbenitez@redhat.com> 0:2.5.6-1.19
- Install manual files using docs-tmp folder instead of docdir.

* Mon Apr 27 2009 David Walluck <dwalluck@redhat.com> 0:2.5.6-1.18
- add sources jars
- fix bsh and jaxb-api symlinking during build

* Fri Apr 24 2009 David Walluck <dwalluck@redhat.com> 0:2.5.6-1.17
- add .txt files as %%doc
- add missing resources
- add full manual

* Tue Apr 23 2009 David Walluck <dwalluck@redhat.com> 0:2.5.6-1.16
- only copy those samples that upstream distributes

* Mon Apr 20 2009 David Walluck <dwalluck@redhat.com> 0:2.5.6-1.15
- fix nodeps option

* Sat Apr 18 2009 Martha Benitez <mbenitez@redhat.com> 0:2.5.6-1.14
- Replace if without no deps to if !{nodeps}
- Remove remaining dependencies for installation.

* Fri Apr 17 2009 Martha Benitez <mbenitez@redhat.com> 0:2.5.6-1.12
- Change %if %with nodeps to %if %nodeps.

* Fri Apr 17 2009 Martha Benitez <mbenitez@redhat.com> 0:2.5.6-1.11
- Add %bcond_nodeps and all %if %with nodeps to avoid calling dependencies at installation.

* Thu Apr 16 2009 David Walluck <dwalluck@redhat.com> 0:2.5.6-1.10
- fix some glassfish api symlinks during build

* Thu Apr 16 2009 David Walluck <dwalluck@redhat.com> 0:2.5.6-1.9
- fix some build errors

* Thu Apr 16 2009 David Walluck <dwalluck@redhat.com> 0:2.5.6-1.8
- remove Requires: jotm and Requires: xapool (Requires: carol)
- remove Requires: tomcat5 (main package)
- remove Requires: axis

* Thu Apr 09 2009 David Walluck <dwalluck@redhat.com> 0:2.5.6-1.7
- replace javamail_1_4_api with glassfish-javamail >= 0:1.4.0
- replace servlet_2_4_api with tomcat5-servlet-2.4-api
- replace velocity with velocity-jboss (1.4, though 1.5 upstream)
- change (Build)Requires: groovy to (Build)Requires: groovy15
- remove Requires: groovy15
- remove Requires: apache-jdo-2.0-api
- remove Requires: apache-ibatis-sqlmap
- Requires: tomcat5-{common,server}-lib instead of Requires: tomcat5

* Wed Apr 08 2009 David Walluck <dwalluck@redhat.com> 0:2.5.6-1.6
- fix Epoch in dependencies

* Tue Apr 07 2009 David Walluck <dwalluck@redhat.com> 0:2.5.6-1.5
- symlink some jars during build

* Fri Apr 03 2009 David Walluck <dwalluck@redhat.com> 0:2.5.6-1.4
- comment out Requires: jaxrpc_1_1_api

* Wed Apr 01 2009 David Walluck <dwalluck@redhat.com> 0:2.5.6-1.3
- add all produced zips

* Tue Mar 31 2009 David Walluck <dwalluck@redhat.com> 0:2.5.6-1.2
- use upstream name for zip

* Fri Mar 27 2009 David Walluck <dwalluck@redhat.com> 0:2.5.6-1.1
- add zip package

* Mon Mar 16 2009 Ralph Apel <r.apel at r-apel.de> 0:2.5.6-1
- 2.5.6
- Adapt to struts-1.3.8
- (B)R jsf_1_1_api instead of myfaces
- (B)R junit44 (4.5 won't do)

* Wed Oct 29 2008 Ralph Apel <r.apel at r-apel.de> 0:2.5.5-2.jpp6
- BR java-devel >= 1.6.0 (.ge. and no epoch, [openjdk])
- BR easymock-java5
- Link in excalibur/avalon-framework

* Fri Jul 18 2008 David Walluck <dwalluck@redhat.com> 0:2.5.5-2
- fix avalon-framework symlink
- remove javadoc scriptlets
- GCJ fixes
- update BuildRoot
- update License
- fix maven directory ownership
- fix file permissions

* Fri Jul 18 2008 Ralph Apel <r.apel at r-apel.de> 0:2.5.5-1.jpp5
- 2.5.5

* Thu Jul 17 2008 Ralph Apel <r.apel at r-apel.de> 0:2.5.1-2.jpp5
- Fix depmap frag for context-support
- Patch to jruby 1.1.1
- Import to cvs
- Drop mock post/postun

* Thu Mar 06 2008 Ralph Apel <r.apel at r-apel.de> 0:2.5.1-1jpp
- 2.5.1 as spring2

* Tue Aug 07 2007 Ralph Apel <r.apel at r-apel.de> 0:1.2.9-1jpp
- Upgrade to 1.2.9

* Mon Jul 23 2007 Ralph Apel <r.apel at r-apel.de> 0:1.2.7-2jpp
- Change jsf (B)R to myfaces
- Change jetty4 (B)R to jetty5
- Add easymock-classextension BR and fix lib name
- Add ibatis1 (B)R 
- Add poms and depmap frags
- Add gcj_support option
- Make Vendor, Distribution based on macro

* Tue Mar 28 2006 Ralph Apel <r.apel at r-apel.de> 0:1.2.7-1jpp
- Update to 1.2.7

* Thu Mar 16 2006 Ralph Apel <r.apel at r-apel.de> 0:1.2.6-5jpp
- Patch out tests fork option -XX:MaxPermSize=, will only work with sun
- Set JAVA_HOME more generally

* Thu Mar 16 2006 Ralph Apel <r.apel at r-apel.de> 0:1.2.6-4jpp
- Avoid ibatis1 dependency
- Make hibernate2 dependency optional
- Reduce mx4j logging
- Switch to burlap-3.0.8 and hessian-3.0.8
- Add missing jetty4 dependency

* Sat Mar 11 2006 Ralph Apel <r.apel at r-apel.de> 0:1.2.6-3jpp
- Use smaller source zip without dependencies included
- Replace apache-jdo20 (1.6/devel) with apache-jdo-2.0-api
- Patch DefaultJdoDialect.patch correspondently
- Specify BR mx4j >= 0:3.0.1-2jpp

* Fri Mar 10 2006 Ralph Apel <r.apel at r-apel.de> 0:1.2.6-2jpp
- Eliminated all non-free dependencies
- Require mx4j >= 3.0.1-2jpp with burlap and hessian support
- Use burlap3 and hessian3

* Fri Feb 24 2006 Ralph Apel <r.apel at r-apel.de> 0:1.2.6-1jpp
- Update test to 1.2.6

* Tue Oct 18 2005 Ralph Apel <r.apel at r-apel.de> 0:1.2.5-2jpp
- Add missing jars and sub-packages

* Thu Sep 29 2005 Ralph Apel <r.apel at r-apel.de> 0:1.2.5-1jpp
- Upgrade to 1.2.5

* Wed Sep 21 2005 Ralph Apel <r.apel at r-apel.de> 0:1.2.4-1jpp
- Upgrade to 1.2.4
- Pending toplink-api from upstream (oracle)
- Pending rowset from upstream (sun), must still build with JDK-1.5

* Fri Mar 11 2005 Ralph Apel <r.apel at r-apel.de> 0:1.1.4-2jpp
- Adapt to axis-1.2: JaxRpcSupportTests.java to override loadService()

* Wed Feb 16 2005 Ralph Apel <r.apel at r-apel.de> 0:1.1.4-1jpp
- Upgrade to 1.1.4 (thx Joe Wortmann)

* Mon Dec 13 2004 Ralph Apel <r.apel at r-apel.de> 0:1.1.3-1jpp
- Upgrade to 1.1.3
- Break up into subpackages and relax dependencies
- Fix non-versioned jars in /usr/share/java/spring

* Fri Oct 08 2004 Ralph Apel <r.apel at r-apel.de> 0:1.1-1jpp
- First release
